var C=["The Rust Programming Language","1. Getting Started","3. Common Programming Concepts","4. Understanding Ownership","5. Using Structs to Structure Related Data","6. Enums and Pattern Matching","7. Managing Growing Projects with Packages, Crates, and Modules","8. Common Collections","9. Error Handling","10. Generic Types, Traits, and Lifetimes","11. Writing Automated Tests","12. An I/O Project: Building a Command Line Program","13. Functional Language Features: Iterators and Closures","14. More about Cargo and Crates.io","15. Smart Pointers","16. Fearless Concurrency","17. Object Oriented Programming Features of Rust","18. Patterns and Matching","19. Advanced Features","20. Final Project: Building a Multithreaded Web Server","21. Appendix","2. Under the Hood: Executing Futures and Tasks","5. Streams","6. Executing Multiple Futures at a Time","7. Workarounds to Know and Love","9. Final Project: HTTP Server","Introduction","1. What are editions?","3. Rust 2018","4. Rust 2021","1.1. Installation","2. Cargo Guide","3. Cargo Reference","3.1. Specifying Dependencies","3.2. The Manifest Format","3.4. Features","3.8. Build Scripts","4. Cargo Commands","4.1. General Commands","4.2. Build Commands","4.3. Manifest Commands","4.4. Package Commands","4.5. Publishing Commands","introduction","3. Background And Concepts","4. Tutorial","reference/index","5. Reference","1. Introduction","1.4. Installation","2. Getting started","3. Peripherals","4. Static Guarantees","8. Design Patterns","8.1. HALs","10. Interoperability","11. Unsorted topics","appendix/glossary","1. Algorithms","2. Command Line","3. Compression","4. Concurrency","5. Cryptography","6. Data Structures","7. Database","8. Date and Time","9. Development Tools","9.1. Debugging","10. Encoding","11. Error Handling","12. File System","13. Hardware Support","14. Memory Management","15. Network","16. Operating System","17. Science","17.1. Mathematics","18. Text Processing","19. Web Programming","19.4. Clients","1. Meet Safe and Unsafe","2. Data Layout","3. Ownership","4. Type Conversions","5. Uninitialized Memory","6. Ownership Based Resource Management","7. Unwinding","concurrency","8. Concurrency","9. Implementing Vec","10. Implementing Arc and Mutex","10.1. Arc","12. Beneath std","2. Lexical structure","3. Macros","6. Items","7. Attributes","8. Statements and expressions","8.2. Expressions","10. Type system","10.1. Types","subtyping","destructors","lifetime-elision","12. Names","13. Memory model","16. Unsafety","20. Appendices","The Unstable Book","1. Compiler flags","2. Language features","3. Library Features","The Embedded Rust Book","intro/index","1.1. Hardware","intro/hardware","1.2. no_std","intro/no-std","1.3. Tooling","intro/tooling","intro/install","1.4.1. Linux","intro/install/linux","1.4.2. MacOS","intro/install/macos","1.4.3. Windows","intro/install/windows","1.4.4. Verify Installation","intro/install/verify","start/index","2.1. QEMU","start/qemu","2.2. Hardware","start/hardware","2.3. Memory-mapped Registers","start/registers","2.4. Semihosting","start/semihosting","2.5. Panicking","start/panicking","2.6. Exceptions","start/exceptions","2.7. Interrupts","start/interrupts","peripherals/index","3.1. A first attempt in Rust","peripherals/a-first-attempt","3.2. The Borrow Checker","peripherals/borrowck","3.3. Singletons","peripherals/singletons","static-guarantees/index","4.1. Typestate Programming","static-guarantees/typestate-programming","4.2. Peripherals as State Machines","static-guarantees/state-machines","4.3. Design Contracts","static-guarantees/design-contracts","4.4. Zero Cost Abstractions","static-guarantees/zero-cost-abstractions","5. Portability","portability/index","6. Concurrency","concurrency/index","7. Collections","collections/index","design-patterns/index","design-patterns/hal/index","8.1.1. Checklist","design-patterns/hal/checklist","8.1.2. Naming","design-patterns/hal/naming","8.1.3. Interoperability","design-patterns/hal/interoperability","8.1.4. Predictability","design-patterns/hal/predictability","8.1.5. GPIO","design-patterns/hal/gpio","9. Tips for embedded C developers","c-tips/index","interoperability/index","10.1. A little C with your Rust","interoperability/c-with-rust","10.2. A little Rust with your C","interoperability/rust-with-c","unsorted/index","11.1. Optimizations: The speed size tradeoff","unsorted/speed-vs-size","11.2. Performing Math Functionality","unsorted/math","Appendix A: Glossary","1. How to Build and Run the Compiler","2. Testing the compiler","2.1. Running tests","2.3. Compiletest","3. Debugging the Compiler","4. Profiling the compiler","17. Notification groups","23. Queries: demand-driven compilation","30. The Rustc Driver and Interface","31. Syntax and the AST","32. The HIR (High-level IR)","34. The MIR (Mid-level IR)","identifiers","39. The ty module: representing types","41. Trait solving","41.5. Chalk-based trait solving","42. Type checking","42.3. Opaque Types","46. The borrow checker","46.1. Tracking moves and initialization","46.3. Region inference","48. Errors and Lints","52. Constant evaluation","55. Code Generation","About this guide","about-this-guide","getting-started","1. The library team","3. The feature lifecycle","4. Code considerations","4.1. Design","4.2. Breaking changes","4.3. Safety and soundness","4.4. Using unstable language features","4.5. Performance","5. Documentation","6. Tools and bots"];var N=N;var booksIndex=[{"name":C[0],"url":"https://doc.rust-lang.org/stable/book/","pages":[[C[0],"title-page",N],["Foreword","foreword",N],[C[26],"ch00-00-introduction",N],[C[1],"ch01-00-getting-started",N],[C[30],"ch01-01-installation",[C[1]]],["1.2. Hello, World!","ch01-02-hello-world",[C[1]]],["1.3. Hello, Cargo!","ch01-03-hello-cargo",[C[1]]],["2. Programming a Guessing Game","ch02-00-guessing-game-tutorial",N],[C[2],"ch03-00-common-programming-concepts",N],["3.1. Variables and Mutability","ch03-01-variables-and-mutability",[C[2]]],["3.2. Data Types","ch03-02-data-types",[C[2]]],["3.3. Functions","ch03-03-how-functions-work",[C[2]]],["3.4. Comments","ch03-04-comments",[C[2]]],["3.5. Control Flow","ch03-05-control-flow",[C[2]]],[C[3],"ch04-00-understanding-ownership",N],["4.1. What is Ownership?","ch04-01-what-is-ownership",[C[3]]],["4.2. References and Borrowing","ch04-02-references-and-borrowing",[C[3]]],["4.3. The Slice Type","ch04-03-slices",[C[3]]],[C[4],"ch05-00-structs",N],["5.1. Defining and Instantiating Structs","ch05-01-defining-structs",[C[4]]],["5.2. An Example Program Using Structs","ch05-02-example-structs",[C[4]]],["5.3. Method Syntax","ch05-03-method-syntax",[C[4]]],[C[5],"ch06-00-enums",N],["6.1. Defining an Enum","ch06-01-defining-an-enum",[C[5]]],["6.2. The match Control Flow Construct","ch06-02-match",[C[5]]],["6.3. Concise Control Flow with if let","ch06-03-if-let",[C[5]]],[C[6],"ch07-00-managing-growing-projects-with-packages-crates-and-modules",N],["7.1. Packages and Crates","ch07-01-packages-and-crates",[C[6]]],["7.2. Defining Modules to Control Scope and Privacy","ch07-02-defining-modules-to-control-scope-and-privacy",[C[6]]],["7.3. Paths for Referring to an Item in the Module Tree","ch07-03-paths-for-referring-to-an-item-in-the-module-tree",[C[6]]],["7.4. Bringing Paths Into Scope with the use Keyword","ch07-04-bringing-paths-into-scope-with-the-use-keyword",[C[6]]],["7.5. Separating Modules into Different Files","ch07-05-separating-modules-into-different-files",[C[6]]],[C[7],"ch08-00-common-collections",N],["8.1. Storing Lists of Values with Vectors","ch08-01-vectors",[C[7]]],["8.2. Storing UTF-8 Encoded Text with Strings","ch08-02-strings",[C[7]]],["8.3. Storing Keys with Associated Values in Hash Maps","ch08-03-hash-maps",[C[7]]],[C[8],"ch09-00-error-handling",N],["9.1. Unrecoverable Errors with panic!","ch09-01-unrecoverable-errors-with-panic",[C[8]]],["9.2. Recoverable Errors with Result","ch09-02-recoverable-errors-with-result",[C[8]]],["9.3. To panic! or Not to panic!","ch09-03-to-panic-or-not-to-panic",[C[8]]],[C[9],"ch10-00-generics",N],["10.1. Generic Data Types","ch10-01-syntax",[C[9]]],["10.2. Traits: Defining Shared Behavior","ch10-02-traits",[C[9]]],["10.3. Validating References with Lifetimes","ch10-03-lifetime-syntax",[C[9]]],[C[10],"ch11-00-testing",N],["11.1. How to Write Tests","ch11-01-writing-tests",[C[10]]],["11.2. Controlling How Tests Are Run","ch11-02-running-tests",[C[10]]],["11.3. Test Organization","ch11-03-test-organization",[C[10]]],[C[11],"ch12-00-an-io-project",N],["12.1. Accepting Command Line Arguments","ch12-01-accepting-command-line-arguments",[C[11]]],["12.2. Reading a File","ch12-02-reading-a-file",[C[11]]],["12.3. Refactoring to Improve Modularity and Error Handling","ch12-03-improving-error-handling-and-modularity",[C[11]]],["12.4. Developing the Library’s Functionality with Test Driven Development","ch12-04-testing-the-librarys-functionality",[C[11]]],["12.5. Working with Environment Variables","ch12-05-working-with-environment-variables",[C[11]]],["12.6. Writing Error Messages to Standard Error Instead of Standard Output","ch12-06-writing-to-stderr-instead-of-stdout",[C[11]]],[C[12],"ch13-00-functional-features",N],["13.1. Closures: Anonymous Functions that Capture Their Environment","ch13-01-closures",[C[12]]],["13.2. Processing a Series of Items with Iterators","ch13-02-iterators",[C[12]]],["13.3. Improving Our I/O Project","ch13-03-improving-our-io-project",[C[12]]],["13.4. Comparing Performance: Loops vs. Iterators","ch13-04-performance",[C[12]]],[C[13],"ch14-00-more-about-cargo",N],["14.1. Customizing Builds with Release Profiles","ch14-01-release-profiles",[C[13]]],["14.2. Publishing a Crate to Crates.io","ch14-02-publishing-to-crates-io",[C[13]]],["14.3. Cargo Workspaces","ch14-03-cargo-workspaces",[C[13]]],["14.4. Installing Binaries from Crates.io with cargo install","ch14-04-installing-binaries",[C[13]]],["14.5. Extending Cargo with Custom Commands","ch14-05-extending-cargo",[C[13]]],[C[14],"ch15-00-smart-pointers",N],["15.1. Using Box<T> to Point to Data on the Heap","ch15-01-box",[C[14]]],["15.2. Treating Smart Pointers Like Regular References with the Deref Trait","ch15-02-deref",[C[14]]],["15.3. Running Code on Cleanup with the Drop Trait","ch15-03-drop",[C[14]]],["15.4. Rc<T>, the Reference Counted Smart Pointer","ch15-04-rc",[C[14]]],["15.5. RefCell<T> and the Interior Mutability Pattern","ch15-05-interior-mutability",[C[14]]],["15.6. Reference Cycles Can Leak Memory","ch15-06-reference-cycles",[C[14]]],[C[15],"ch16-00-concurrency",N],["16.1. Using Threads to Run Code Simultaneously","ch16-01-threads",[C[15]]],["16.2. Using Message Passing to Transfer Data Between Threads","ch16-02-message-passing",[C[15]]],["16.3. Shared-State Concurrency","ch16-03-shared-state",[C[15]]],["16.4. Extensible Concurrency with the Sync and Send Traits","ch16-04-extensible-concurrency-sync-and-send",[C[15]]],[C[16],"ch17-00-oop",N],["17.1. Characteristics of Object-Oriented Languages","ch17-01-what-is-oo",[C[16]]],["17.2. Using Trait Objects That Allow for Values of Different Types","ch17-02-trait-objects",[C[16]]],["17.3. Implementing an Object-Oriented Design Pattern","ch17-03-oo-design-patterns",[C[16]]],[C[17],"ch18-00-patterns",N],["18.1. All the Places Patterns Can Be Used","ch18-01-all-the-places-for-patterns",[C[17]]],["18.2. Refutability: Whether a Pattern Might Fail to Match","ch18-02-refutability",[C[17]]],["18.3. Pattern Syntax","ch18-03-pattern-syntax",[C[17]]],[C[18],"ch19-00-advanced-features",N],["19.1. Unsafe Rust","ch19-01-unsafe-rust",[C[18]]],["19.2. Advanced Traits","ch19-03-advanced-traits",[C[18]]],["19.3. Advanced Types","ch19-04-advanced-types",[C[18]]],["19.4. Advanced Functions and Closures","ch19-05-advanced-functions-and-closures",[C[18]]],["19.5. Macros","ch19-06-macros",[C[18]]],[C[19],"ch20-00-final-project-a-web-server",N],["20.1. Building a Single-Threaded Web Server","ch20-01-single-threaded",[C[19]]],["20.2. Turning Our Single-Threaded Server into a Multithreaded Server","ch20-02-multithreaded",[C[19]]],["20.3. Graceful Shutdown and Cleanup","ch20-03-graceful-shutdown-and-cleanup",[C[19]]],[C[20],"appendix-00",N],["21.1. A - Keywords","appendix-01-keywords",[C[20]]],["21.2. B - Operators and Symbols","appendix-02-operators",[C[20]]],["21.3. C - Derivable Traits","appendix-03-derivable-traits",[C[20]]],["21.4. D - Useful Development Tools","appendix-04-useful-development-tools",[C[20]]],["21.5. E - Editions","appendix-05-editions",[C[20]]],["21.6. F - Translations of the Book","appendix-06-translation",[C[20]]],["21.7. G - How Rust is Made and “Nightly Rust”","appendix-07-nightly-rust",[C[20]]]]},{"name":"Rust Async Book","url":"https://rust-lang.github.io/async-book/","pages":[[C[1],"01_getting_started/01_chapter",N],["1.1. Why Async?","01_getting_started/02_why_async",[C[1]]],["1.2. The State of Asynchronous Rust","01_getting_started/03_state_of_async_rust",[C[1]]],["1.3. async/.await Primer","01_getting_started/04_async_await_primer",[C[1]]],[C[21],"02_execution/01_chapter",N],["2.1. The Future Trait","02_execution/02_future",[C[21]]],["2.2. Task Wakeups with Waker","02_execution/03_wakeups",[C[21]]],["2.3. Applied: Build an Executor","02_execution/04_executor",[C[21]]],["2.4. Executors and System IO","02_execution/05_io",[C[21]]],["3. async/await","03_async_await/01_chapter",N],["4. Pinning","04_pinning/01_chapter",N],[C[22],"05_streams/01_chapter",N],["5.1. Iteration and Concurrency","05_streams/02_iteration_and_concurrency",[C[22]]],[C[23],"06_multiple_futures/01_chapter",N],["6.1. join!","06_multiple_futures/02_join",[C[23]]],["6.2. select!","06_multiple_futures/03_select",[C[23]]],[C[24],"07_workarounds/01_chapter",N],["7.1. ? in async Blocks","07_workarounds/02_err_in_async_blocks",[C[24]]],["7.2. Send Approximation","07_workarounds/03_send_approximation",[C[24]]],["7.3. Recursion","07_workarounds/04_recursion",[C[24]]],["7.4. async in Traits","07_workarounds/05_async_in_traits",[C[24]]],["8. The Async Ecosystem","08_ecosystem/00_chapter",N],[C[25],"09_example/00_intro",N],["9.1. Running Asynchronous Code","09_example/01_running_async_code",[C[25]]],["9.2. Handling Connections Concurrently","09_example/02_handling_connections_concurrently",[C[25]]],["9.3. Testing the Server","09_example/03_tests",[C[25]]],["12. Appendix: Translations of the Book","12_appendix/01_translations",N]]},{"name":"Rust Edition Guide Book","url":"https://doc.rust-lang.org/stable/edition-guide/","pages":[[C[26],C[43],N],[C[27],"editions/index",N],["1.1. Creating a new project","editions/creating-a-new-project",[C[27]]],["1.2. Transitioning an existing project to a new edition","editions/transitioning-an-existing-project-to-a-new-edition",[C[27]]],["1.3. Advanced migrations","editions/advanced-migrations",[C[27]]],["2. Rust 2015","rust-2015/index",N],[C[28],"rust-2018/index",N],["3.1. Path and module system changes","rust-2018/path-changes",[C[28]]],["3.2. Anonymous trait function parameters deprecated","rust-2018/trait-fn-parameters",[C[28]]],["3.3. New keywords","rust-2018/new-keywords",[C[28]]],["3.4. Method dispatch for raw pointers to inference variables","rust-2018/tyvar-behind-raw-pointer",[C[28]]],["3.5. Cargo changes","rust-2018/cargo",[C[28]]],[C[29],"rust-2021/index",N],["4.1. Additions to the prelude","rust-2021/prelude",[C[29]]],["4.2. Default Cargo feature resolver","rust-2021/default-cargo-resolver",[C[29]]],["4.3. IntoIterator for arrays","rust-2021/IntoIterator-for-arrays",[C[29]]],["4.4. Disjoint capture in closures","rust-2021/disjoint-capture-in-closures",[C[29]]],["4.5. Panic macro consistency","rust-2021/panic-macro-consistency",[C[29]]],["4.6. Reserving syntax","rust-2021/reserving-syntax",[C[29]]],["4.7. Warnings promoted to errors","rust-2021/warnings-promoted-to-error",[C[29]]],["4.8. Or patterns in macro-rules","rust-2021/or-patterns-macro-rules",[C[29]]]]},{"name":"The Cargo Book","url":"https://doc.rust-lang.org/cargo/","pages":[[C[26],"index",N],[C[1],"getting-started/index",N],[C[30],"getting-started/installation",[C[1]]],["1.2. First Steps with Cargo","getting-started/first-steps",[C[1]]],[C[31],"guide/index",N],["2.1. Why Cargo Exists","guide/why-cargo-exists",[C[31]]],["2.2. Creating a New Package","guide/creating-a-new-project",[C[31]]],["2.3. Working on an Existing Package","guide/working-on-an-existing-project",[C[31]]],["2.4. Dependencies","guide/dependencies",[C[31]]],["2.5. Package Layout","guide/project-layout",[C[31]]],["2.6. Cargo.toml vs Cargo.lock","guide/cargo-toml-vs-cargo-lock",[C[31]]],["2.7. Tests","guide/tests",[C[31]]],["2.8. Continuous Integration","guide/continuous-integration",[C[31]]],["2.9. Cargo Home","guide/cargo-home",[C[31]]],["2.10. Build Cache","guide/build-cache",[C[31]]],[C[32],C[46],N],[C[33],"reference/specifying-dependencies",[C[32]]],["3.1.1. Overriding Dependencies","reference/overriding-dependencies",[C[32],C[33]]],[C[34],"reference/manifest",[C[32]]],["3.2.1. Cargo Targets","reference/cargo-targets",[C[32],C[34]]],["3.3. Workspaces","reference/workspaces",[C[32]]],[C[35],"reference/features",[C[32]]],["3.4.1. Features Examples","reference/features-examples",[C[32],C[35]]],["3.5. Profiles","reference/profiles",[C[32]]],["3.6. Configuration","reference/config",[C[32]]],["3.7. Environment Variables","reference/environment-variables",[C[32]]],[C[36],"reference/build-scripts",[C[32]]],["3.8.1. Build Script Examples","reference/build-script-examples",[C[32],C[36]]],["3.9. Publishing on crates.io","reference/publishing",[C[32]]],["3.10. Package ID Specifications","reference/pkgid-spec",[C[32]]],["3.11. Source Replacement","reference/source-replacement",[C[32]]],["3.12. External Tools","reference/external-tools",[C[32]]],["3.13. Registries","reference/registries",[C[32]]],["3.14. Dependency Resolution","reference/resolver",[C[32]]],["3.15. SemVer Compatibility","reference/semver",[C[32]]],["3.16. Future incompat report","reference/future-incompat-report",[C[32]]],["3.17. Reporting build timings","reference/timings",[C[32]]],["3.18. Unstable Features","reference/unstable",[C[32]]],[C[37],"commands/index",N],[C[38],"commands/general-commands",[C[37]]],["4.1.1. cargo","commands/cargo",[C[37],C[38]]],["4.1.2. cargo help","commands/cargo-help",[C[37],C[38]]],["4.1.3. cargo version","commands/cargo-version",[C[37],C[38]]],[C[39],"commands/build-commands",[C[37]]],["4.2.1. cargo bench","commands/cargo-bench",[C[37],C[39]]],["4.2.2. cargo build","commands/cargo-build",[C[37],C[39]]],["4.2.3. cargo check","commands/cargo-check",[C[37],C[39]]],["4.2.4. cargo clean","commands/cargo-clean",[C[37],C[39]]],["4.2.5. cargo doc","commands/cargo-doc",[C[37],C[39]]],["4.2.6. cargo fetch","commands/cargo-fetch",[C[37],C[39]]],["4.2.7. cargo fix","commands/cargo-fix",[C[37],C[39]]],["4.2.8. cargo run","commands/cargo-run",[C[37],C[39]]],["4.2.9. cargo rustc","commands/cargo-rustc",[C[37],C[39]]],["4.2.10. cargo rustdoc","commands/cargo-rustdoc",[C[37],C[39]]],["4.2.11. cargo test","commands/cargo-test",[C[37],C[39]]],["4.2.12. cargo report","commands/cargo-report",[C[37],C[39]]],[C[40],"commands/manifest-commands",[C[37]]],["4.3.1. cargo add","commands/cargo-add",[C[37],C[40]]],["4.3.2. cargo generate-lockfile","commands/cargo-generate-lockfile",[C[37],C[40]]],["4.3.3. cargo locate-project","commands/cargo-locate-project",[C[37],C[40]]],["4.3.4. cargo metadata","commands/cargo-metadata",[C[37],C[40]]],["4.3.5. cargo pkgid","commands/cargo-pkgid",[C[37],C[40]]],["4.3.6. cargo tree","commands/cargo-tree",[C[37],C[40]]],["4.3.7. cargo update","commands/cargo-update",[C[37],C[40]]],["4.3.8. cargo vendor","commands/cargo-vendor",[C[37],C[40]]],["4.3.9. cargo verify-project","commands/cargo-verify-project",[C[37],C[40]]],[C[41],"commands/package-commands",[C[37]]],["4.4.1. cargo init","commands/cargo-init",[C[37],C[41]]],["4.4.2. cargo install","commands/cargo-install",[C[37],C[41]]],["4.4.3. cargo new","commands/cargo-new",[C[37],C[41]]],["4.4.4. cargo search","commands/cargo-search",[C[37],C[41]]],["4.4.5. cargo uninstall","commands/cargo-uninstall",[C[37],C[41]]],[C[42],"commands/publishing-commands",[C[37]]],["4.5.1. cargo login","commands/cargo-login",[C[37],C[42]]],["4.5.2. cargo owner","commands/cargo-owner",[C[37],C[42]]],["4.5.3. cargo package","commands/cargo-package",[C[37],C[42]]],["4.5.4. cargo publish","commands/cargo-publish",[C[37],C[42]]],["4.5.5. cargo yank","commands/cargo-yank",[C[37],C[42]]],["5. FAQ","faq",N],["6. Appendix: Glossary",C[57],N],["7. Appendix: Git Authentication","appendix/git-authentication",N]]},{"name":"Rust and WebAssembly Book","url":"https://rustwasm.github.io/docs/book/","pages":[[C[48],C[43],N],["2. Why Rust and WebAssembly?","why-rust-and-webassembly",N],[C[44],"background-and-concepts",N],["3.1. What is WebAssembly?","what-is-webassembly",[C[44]]],[C[45],"game-of-life/introduction",N],["4.1. Setup","game-of-life/setup",[C[45]]],["4.2. Hello, World!","game-of-life/hello-world",[C[45]]],["4.3. Rules","game-of-life/rules",[C[45]]],["4.4. Implementing Life","game-of-life/implementing",[C[45]]],["4.5. Testing Life","game-of-life/testing",[C[45]]],["4.6. Debugging","game-of-life/debugging",[C[45]]],["4.7. Adding Interactivity","game-of-life/interactivity",[C[45]]],["4.8. Time Profiling","game-of-life/time-profiling",[C[45]]],["4.9. Shrinking .wasm Size","game-of-life/code-size",[C[45]]],["4.10. Publishing to npm","game-of-life/publishing-to-npm",[C[45]]],[C[47],C[46],N],["5.1. Crates You Should Know","reference/crates",[C[47]]],["5.2. Tools You Should Know","reference/tools",[C[47]]],["5.3. Project Templates","reference/project-templates",[C[47]]],["5.4. Debugging","reference/debugging",[C[47]]],["5.5. Time Profiling","reference/time-profiling",[C[47]]],["5.6. Shrinking .wasm Size","reference/code-size",[C[47]]],["5.7. JavaScript Interoperation","reference/js-ffi",[C[47]]],["5.8. Which Crates Will Work Off-the-Shelf with WebAssembly?","reference/which-crates-work-with-wasm",[C[47]]],["5.9. How to Add WebAssembly Support to a General-Purpose Crate","reference/add-wasm-support-to-crate",[C[47]]],["5.10. Deploying Rust and WebAssembly to Production","reference/deploying-to-production",[C[47]]]]},{"name":C[112],"url":"https://rust-embedded.github.io/book/","pages":[[C[48],C[113],N],[C[114],C[115],[C[48]]],[C[116],C[117],[C[48]]],[C[118],C[119],[C[48]]],[C[49],C[120],[C[48]]],[C[121],C[122],[C[48],C[49]]],[C[123],C[124],[C[48],C[49]]],[C[125],C[126],[C[48],C[49]]],[C[127],C[128],[C[48],C[49]]],[C[50],C[129],N],[C[130],C[131],[C[50]]],[C[132],C[133],[C[50]]],[C[134],C[135],[C[50]]],[C[136],C[137],[C[50]]],[C[138],C[139],[C[50]]],[C[140],C[141],[C[50]]],[C[142],C[143],[C[50]]],["2.8. IO","start/io",[C[50]]],[C[51],C[144],N],[C[145],C[146],[C[51]]],[C[147],C[148],[C[51]]],[C[149],C[150],[C[51]]],[C[52],C[151],N],[C[152],C[153],[C[52]]],[C[154],C[155],[C[52]]],[C[156],C[157],[C[52]]],[C[158],C[159],[C[52]]],[C[160],C[161],N],[C[162],C[163],N],[C[164],C[165],N],[C[53],C[166],N],[C[54],C[167],[C[53]]],[C[168],C[169],[C[53],C[54]]],[C[170],C[171],[C[53],C[54]]],[C[172],C[173],[C[53],C[54]]],[C[174],C[175],[C[53],C[54]]],[C[176],C[177],[C[53],C[54]]],[C[178],C[179],N],[C[55],C[180],N],[C[181],C[182],[C[55]]],[C[183],C[184],[C[55]]],[C[56],C[185],N],[C[186],C[187],[C[56]]],[C[188],C[189],[C[56]]],[C[190],C[57],N]]},{"name":"The Rust Cookbook","url":"https://rust-lang-nursery.github.io/rust-cookbook/","pages":[["Table of Contents","intro",N],["About","about",N],[C[58],"algorithms",N],["1.1. Generate Random Values","algorithms/randomness",[C[58]]],["1.2. Sort a Vector","algorithms/sorting",[C[58]]],[C[59],"cli",N],["2.1. Argument Parsing","cli/arguments",[C[59]]],["2.2. ANSI Terminal","cli/ansi_terminal",[C[59]]],[C[60],"compression",N],["3.1. Working with Tarballs","compression/tar",[C[60]]],[C[61],C[87],N],["4.1. Explicit Threads","concurrency/threads",[C[61]]],["4.2. Data Parallelism","concurrency/parallel",[C[61]]],[C[62],"cryptography",N],["5.1. Hashing","cryptography/hashing",[C[62]]],["5.2. Encryption","cryptography/encryption",[C[62]]],[C[63],"data_structures",N],["6.1. Bitfield","data_structures/bitfield",[C[63]]],[C[64],"database",N],["7.1. SQLite","database/sqlite",[C[64]]],["7.2. Postgres","database/postgres",[C[64]]],[C[65],"datetime",N],["8.1. Duration and Calculation","datetime/duration",[C[65]]],["8.2. Parsing and Displaying","datetime/parse",[C[65]]],[C[66],"development_tools",N],[C[67],"development_tools/debugging",[C[66]]],["9.1.1. Log Messages","development_tools/debugging/log",[C[66],C[67]]],["9.1.2. Configure Logging","development_tools/debugging/config_log",[C[66],C[67]]],["9.2. Versioning","development_tools/versioning",[C[66]]],["9.3. Build Time Tooling","development_tools/build_tools",[C[66]]],[C[68],"encoding",N],["10.1. Character Sets","encoding/strings",[C[68]]],["10.2. CSV processing","encoding/csv",[C[68]]],["10.3. Structured Data","encoding/complex",[C[68]]],[C[69],"errors",N],["11.1. Handle Error Variants","errors/handle",[C[69]]],[C[70],"file",N],["12.1. Read & Write","file/read-write",[C[70]]],["12.2. Directory Traversal","file/dir",[C[70]]],[C[71],"hardware",N],["13.1. Processor","hardware/processor",[C[71]]],[C[72],"mem",N],["14.1. Global Static","mem/global_static",[C[72]]],[C[73],"net",N],["15.1. Server","net/server",[C[73]]],[C[74],"os",N],["16.1. External Command","os/external",[C[74]]],[C[75],"science",N],[C[76],"science/mathematics",[C[75]]],["17.1.1. Linear Algebra","science/mathematics/linear_algebra",[C[75],C[76]]],["17.1.2. Trigonometry","science/mathematics/trigonometry",[C[75],C[76]]],["17.1.3. Complex Numbers","science/mathematics/complex_numbers",[C[75],C[76]]],["17.1.4. Statistics","science/mathematics/statistics",[C[75],C[76]]],["17.1.5. Miscellaneous","science/mathematics/miscellaneous",[C[75],C[76]]],[C[77],"text",N],["18.1. Regular Expressions","text/regex",[C[77]]],["18.2. String Parsing","text/string_parsing",[C[77]]],[C[78],"web",N],["19.1. Extracting Links","web/scraping",[C[78]]],["19.2. URL","web/url",[C[78]]],["19.3. Media Types","web/mime",[C[78]]],[C[79],"web/clients",[C[78]]],["19.4.1. Making Requests","web/clients/requests",[C[78],C[79]]],["19.4.2. Calling a Web API","web/clients/apis",[C[78],C[79]]],["19.4.3. Downloads","web/clients/download",[C[78],C[79]]],["19.4.4. Web Authentication","web/clients/authentication",[C[78],C[79]]]]},{"name":"The Rustonomicon","url":"https://doc.rust-lang.org/nomicon/","pages":[[C[26],"intro",N],[C[80],"meet-safe-and-unsafe",N],["1.1. How Safe and Unsafe Interact","safe-unsafe-meaning",[C[80]]],["1.2. What Unsafe Can Do","what-unsafe-does",[C[80]]],["1.3. Working with Unsafe","working-with-unsafe",[C[80]]],[C[81],"data",N],["2.1. repr(Rust)","repr-rust",[C[81]]],["2.2. Exotically Sized Types","exotic-sizes",[C[81]]],["2.3. Other reprs","other-reprs",[C[81]]],[C[82],"ownership",N],["3.1. References","references",[C[82]]],["3.2. Aliasing","aliasing",[C[82]]],["3.3. Lifetimes","lifetimes",[C[82]]],["3.4. Limits of Lifetimes","lifetime-mismatch",[C[82]]],["3.5. Lifetime Elision",C[103],[C[82]]],["3.6. Unbounded Lifetimes","unbounded-lifetimes",[C[82]]],["3.7. Higher-Rank Trait Bounds","hrtb",[C[82]]],["3.8. Subtyping and Variance",C[101],[C[82]]],["3.9. Drop Check","dropck",[C[82]]],["3.10. PhantomData","phantom-data",[C[82]]],["3.11. Splitting Borrows","borrow-splitting",[C[82]]],[C[83],"conversions",N],["4.1. Coercions","coercions",[C[83]]],["4.2. The Dot Operator","dot-operator",[C[83]]],["4.3. Casts","casts",[C[83]]],["4.4. Transmutes","transmutes",[C[83]]],[C[84],"uninitialized",N],["5.1. Checked","checked-uninit",[C[84]]],["5.2. Drop Flags","drop-flags",[C[84]]],["5.3. Unchecked","unchecked-uninit",[C[84]]],[C[85],"obrm",N],["6.1. Constructors","constructors",[C[85]]],["6.2. Destructors",C[102],[C[85]]],["6.3. Leaking","leaking",[C[85]]],[C[86],"unwinding",N],["7.1. Exception Safety","exception-safety",[C[86]]],["7.2. Poisoning","poisoning",[C[86]]],[C[88],C[87],N],["8.1. Races","races",[C[88]]],["8.2. Send and Sync","send-and-sync",[C[88]]],["8.3. Atomics","atomics",[C[88]]],[C[89],"vec/vec",N],["9.1. Layout","vec/vec-layout",[C[89]]],["9.2. Allocating","vec/vec-alloc",[C[89]]],["9.3. Push and Pop","vec/vec-push-pop",[C[89]]],["9.4. Deallocating","vec/vec-dealloc",[C[89]]],["9.5. Deref","vec/vec-deref",[C[89]]],["9.6. Insert and Remove","vec/vec-insert-remove",[C[89]]],["9.7. IntoIter","vec/vec-into-iter",[C[89]]],["9.8. RawVec","vec/vec-raw",[C[89]]],["9.9. Drain","vec/vec-drain",[C[89]]],["9.10. Handling Zero-Sized Types","vec/vec-zsts",[C[89]]],["9.11. Final Code","vec/vec-final",[C[89]]],[C[90],"arc-mutex/arc-and-mutex",N],[C[91],"arc-mutex/arc",[C[90]]],["10.1.1. Layout","arc-mutex/arc-layout",[C[90],C[91]]],["10.1.2. Base Code","arc-mutex/arc-base",[C[90],C[91]]],["10.1.3. Cloning","arc-mutex/arc-clone",[C[90],C[91]]],["10.1.4. Dropping","arc-mutex/arc-drop",[C[90],C[91]]],["10.1.5. Final Code","arc-mutex/arc-final",[C[90],C[91]]],["11. FFI","ffi",N],[C[92],"beneath-std",N],["12.1. #[panic_handler]","panic-handler",[C[92]]]]},{"name":"The Rust Reference","url":"https://doc.rust-lang.org/reference/","pages":[[C[26],C[43],N],["1. Notation","notation",N],[C[93],"lexical-structure",N],["2.1. Input format","input-format",[C[93]]],["2.2. Keywords","keywords",[C[93]]],["2.3. Identifiers",C[203],[C[93]]],["2.4. Comments","comments",[C[93]]],["2.5. Whitespace","whitespace",[C[93]]],["2.6. Tokens","tokens",[C[93]]],[C[94],"macros",N],["3.1. Macros By Example","macros-by-example",[C[94]]],["3.2. Procedural Macros","procedural-macros",[C[94]]],["4. Crates and source files","crates-and-source-files",N],["5. Conditional compilation","conditional-compilation",N],[C[95],"items",N],["6.1. Modules","items/modules",[C[95]]],["6.2. Extern crates","items/extern-crates",[C[95]]],["6.3. Use declarations","items/use-declarations",[C[95]]],["6.4. Functions","items/functions",[C[95]]],["6.5. Type aliases","items/type-aliases",[C[95]]],["6.6. Structs","items/structs",[C[95]]],["6.7. Enumerations","items/enumerations",[C[95]]],["6.8. Unions","items/unions",[C[95]]],["6.9. Constant items","items/constant-items",[C[95]]],["6.10. Static items","items/static-items",[C[95]]],["6.11. Traits","items/traits",[C[95]]],["6.12. Implementations","items/implementations",[C[95]]],["6.13. External blocks","items/external-blocks",[C[95]]],["6.14. Generic parameters","items/generics",[C[95]]],["6.15. Associated Items","items/associated-items",[C[95]]],[C[96],"attributes",N],["7.1. Testing","attributes/testing",[C[96]]],["7.2. Derive","attributes/derive",[C[96]]],["7.3. Diagnostics","attributes/diagnostics",[C[96]]],["7.4. Code generation","attributes/codegen",[C[96]]],["7.5. Limits","attributes/limits",[C[96]]],["7.6. Type System","attributes/type_system",[C[96]]],[C[97],"statements-and-expressions",N],["8.1. Statements","statements",[C[97]]],[C[98],"expressions",[C[97]]],["8.2.1. Literal expressions","expressions/literal-expr",[C[97],C[98]]],["8.2.2. Path expressions","expressions/path-expr",[C[97],C[98]]],["8.2.3. Block expressions","expressions/block-expr",[C[97],C[98]]],["8.2.4. Operator expressions","expressions/operator-expr",[C[97],C[98]]],["8.2.5. Grouped expressions","expressions/grouped-expr",[C[97],C[98]]],["8.2.6. Array and index expressions","expressions/array-expr",[C[97],C[98]]],["8.2.7. Tuple and index expressions","expressions/tuple-expr",[C[97],C[98]]],["8.2.8. Struct expressions","expressions/struct-expr",[C[97],C[98]]],["8.2.9. Call expressions","expressions/call-expr",[C[97],C[98]]],["8.2.10. Method call expressions","expressions/method-call-expr",[C[97],C[98]]],["8.2.11. Field access expressions","expressions/field-expr",[C[97],C[98]]],["8.2.12. Closure expressions","expressions/closure-expr",[C[97],C[98]]],["8.2.13. Loop expressions","expressions/loop-expr",[C[97],C[98]]],["8.2.14. Range expressions","expressions/range-expr",[C[97],C[98]]],["8.2.15. If and if let expressions","expressions/if-expr",[C[97],C[98]]],["8.2.16. Match expressions","expressions/match-expr",[C[97],C[98]]],["8.2.17. Return expressions","expressions/return-expr",[C[97],C[98]]],["8.2.18. Await expressions","expressions/await-expr",[C[97],C[98]]],["8.2.19. Underscore expressions","expressions/underscore-expr",[C[97],C[98]]],["9. Patterns","patterns",N],[C[99],"type-system",N],[C[100],"types",[C[99]]],["10.1.1. Boolean type","types/boolean",[C[99],C[100]]],["10.1.2. Numeric types","types/numeric",[C[99],C[100]]],["10.1.3. Textual types","types/textual",[C[99],C[100]]],["10.1.4. Never type","types/never",[C[99],C[100]]],["10.1.5. Tuple types","types/tuple",[C[99],C[100]]],["10.1.6. Array types","types/array",[C[99],C[100]]],["10.1.7. Slice types","types/slice",[C[99],C[100]]],["10.1.8. Struct types","types/struct",[C[99],C[100]]],["10.1.9. Enumerated types","types/enum",[C[99],C[100]]],["10.1.10. Union types","types/union",[C[99],C[100]]],["10.1.11. Function item types","types/function-item",[C[99],C[100]]],["10.1.12. Closure types","types/closure",[C[99],C[100]]],["10.1.13. Pointer types","types/pointer",[C[99],C[100]]],["10.1.14. Function pointer types","types/function-pointer",[C[99],C[100]]],["10.1.15. Trait object types","types/trait-object",[C[99],C[100]]],["10.1.16. Impl trait type","types/impl-trait",[C[99],C[100]]],["10.1.17. Type parameters","types/parameters",[C[99],C[100]]],["10.1.18. Inferred type","types/inferred",[C[99],C[100]]],["10.2. Dynamically Sized Types","dynamically-sized-types",[C[99]]],["10.3. Type layout","type-layout",[C[99]]],["10.4. Interior mutability","interior-mutability",[C[99]]],["10.5. Subtyping and Variance",C[101],[C[99]]],["10.6. Trait and lifetime bounds","trait-bounds",[C[99]]],["10.7. Type coercions","type-coercions",[C[99]]],["10.8. Destructors",C[102],[C[99]]],["10.9. Lifetime elision",C[103],[C[99]]],["11. Special types and traits","special-types-and-traits",N],[C[104],"names",N],["12.1. Namespaces","names/namespaces",[C[104]]],["12.2. Scopes","names/scopes",[C[104]]],["12.3. Preludes","names/preludes",[C[104]]],["12.4. Paths","paths",[C[104]]],["12.5. Name resolution","names/name-resolution",[C[104]]],["12.6. Visibility and privacy","visibility-and-privacy",[C[104]]],[C[105],"memory-model",N],["13.1. Memory allocation and lifetime","memory-allocation-and-lifetime",[C[105]]],["13.2. Variables","variables",[C[105]]],["14. Linkage","linkage",N],["15. Inline assembly","inline-assembly",N],[C[106],"unsafety",N],["16.1. Unsafe functions","unsafe-functions",[C[106]]],["16.2. Unsafe blocks","unsafe-blocks",[C[106]]],["16.3. Behavior considered undefined","behavior-considered-undefined",[C[106]]],["16.4. Behavior not considered unsafe","behavior-not-considered-unsafe",[C[106]]],["17. Constant Evaluation","const_eval",N],["18. Application Binary Interface","abi",N],["19. The Rust runtime","runtime",N],[C[107],"appendices",N],["20.1. Macro Follow-Set Ambiguity Formal Specification","macro-ambiguity",[C[107]]],["20.2. Influences","influences",[C[107]]],["20.3. Glossary","glossary",[C[107]]]]},{"name":C[108],"url":"https://doc.rust-lang.org/unstable-book/","pages":[[C[108],"the-unstable-book",N],[C[109],"compiler-flags",N],["1.1. branch_protection","compiler-flags/branch-protection",[C[109]]],["1.2. cf_protection","compiler-flags/cf-protection",[C[109]]],["1.3. check_cfg","compiler-flags/check-cfg",[C[109]]],["1.4. codegen_backend","compiler-flags/codegen-backend",[C[109]]],["1.5. control_flow_guard","compiler-flags/control-flow-guard",[C[109]]],["1.6. debug_info_for_profiling","compiler-flags/debug_info_for_profiling",[C[109]]],["1.7. emit_stack_sizes","compiler-flags/emit-stack-sizes",[C[109]]],["1.8. extern_options","compiler-flags/extern-options",[C[109]]],["1.9. location_detail","compiler-flags/location-detail",[C[109]]],["1.10. move_size_limit","compiler-flags/move-size-limit",[C[109]]],["1.11. no_unique_section_names","compiler-flags/no-unique-section-names",[C[109]]],["1.12. profile","compiler-flags/profile",[C[109]]],["1.13. profile_sample_use","compiler-flags/profile_sample_use",[C[109]]],["1.14. remap_cwd_prefix","compiler-flags/remap-cwd-prefix",[C[109]]],["1.15. report_time","compiler-flags/report-time",[C[109]]],["1.16. sanitizer","compiler-flags/sanitizer",[C[109]]],["1.17. self_profile","compiler-flags/self-profile",[C[109]]],["1.18. self_profile_events","compiler-flags/self-profile-events",[C[109]]],["1.19. src_hash_algorithm","compiler-flags/src-hash-algorithm",[C[109]]],["1.20. temps_dir","compiler-flags/temps-dir",[C[109]]],["1.21. tls_model","compiler-flags/tls-model",[C[109]]],["1.22. unsound_mir_opts","compiler-flags/unsound-mir-opts",[C[109]]],["1.23. virtual_function_elimination","compiler-flags/virtual-function-elimination",[C[109]]],[C[110],"language-features",N],["2.1. aarch64_ver_target_feature","language-features/aarch64-ver-target-feature",[C[110]]],["2.2. abi_amdgpu_kernel","language-features/abi-amdgpu-kernel",[C[110]]],["2.3. abi_avr_interrupt","language-features/abi-avr-interrupt",[C[110]]],["2.4. abi_c_cmse_nonsecure_call","language-features/abi-c-cmse-nonsecure-call",[C[110]]],["2.5. abi_efiapi","language-features/abi-efiapi",[C[110]]],["2.6. abi_msp430_interrupt","language-features/abi-msp430-interrupt",[C[110]]],["2.7. abi_ptx","language-features/abi-ptx",[C[110]]],["2.8. abi_thiscall","language-features/abi-thiscall",[C[110]]],["2.9. abi_unadjusted","language-features/abi-unadjusted",[C[110]]],["2.10. abi_vectorcall","language-features/abi-vectorcall",[C[110]]],["2.11. abi_x86_interrupt","language-features/abi-x86-interrupt",[C[110]]],["2.12. adt_const_params","language-features/adt-const-params",[C[110]]],["2.13. alloc_error_handler","language-features/alloc-error-handler",[C[110]]],["2.14. allocator_internals","language-features/allocator-internals",[C[110]]],["2.15. allow_internal_unsafe","language-features/allow-internal-unsafe",[C[110]]],["2.16. allow_internal_unstable","language-features/allow-internal-unstable",[C[110]]],["2.17. arbitrary_enum_discriminant","language-features/arbitrary-enum-discriminant",[C[110]]],["2.18. arbitrary_self_types","language-features/arbitrary-self-types",[C[110]]],["2.19. arm_target_feature","language-features/arm-target-feature",[C[110]]],["2.20. asm_const","language-features/asm-const",[C[110]]],["2.21. asm_experimental_arch","language-features/asm-experimental-arch",[C[110]]],["2.22. asm_sym","language-features/asm-sym",[C[110]]],["2.23. asm_unwind","language-features/asm-unwind",[C[110]]],["2.24. associated_const_equality","language-features/associated-const-equality",[C[110]]],["2.25. associated_type_bounds","language-features/associated-type-bounds",[C[110]]],["2.26. associated_type_defaults","language-features/associated-type-defaults",[C[110]]],["2.27. async_closure","language-features/async-closure",[C[110]]],["2.28. auto_traits","language-features/auto-traits",[C[110]]],["2.29. avx512_target_feature","language-features/avx512-target-feature",[C[110]]],["2.30. box_patterns","language-features/box-patterns",[C[110]]],["2.31. box_syntax","language-features/box-syntax",[C[110]]],["2.32. bpf_target_feature","language-features/bpf-target-feature",[C[110]]],["2.33. c_unwind","language-features/c-unwind",[C[110]]],["2.34. c_variadic","language-features/c-variadic",[C[110]]],["2.35. capture_disjoint_fields","language-features/capture-disjoint-fields",[C[110]]],["2.36. cfg_sanitize","language-features/cfg-sanitize",[C[110]]],["2.37. cfg_target_abi","language-features/cfg-target-abi",[C[110]]],["2.38. cfg_target_compact","language-features/cfg-target-compact",[C[110]]],["2.39. cfg_target_has_atomic","language-features/cfg-target-has-atomic",[C[110]]],["2.40. cfg_target_has_atomic_equal_alignment","language-features/cfg-target-has-atomic-equal-alignment",[C[110]]],["2.41. cfg_target_thread_local","language-features/cfg-target-thread-local",[C[110]]],["2.42. cfg_version","language-features/cfg-version",[C[110]]],["2.43. closure_track_caller","language-features/closure-track-caller",[C[110]]],["2.44. cmpxchg16b_target_feature","language-features/cmpxchg16b-target-feature",[C[110]]],["2.45. cmse_nonsecure_entry","language-features/cmse-nonsecure-entry",[C[110]]],["2.46. compiler_builtins","language-features/compiler-builtins",[C[110]]],["2.47. const_async_blocks","language-features/const-async-blocks",[C[110]]],["2.48. const_eval_limit","language-features/const-eval-limit",[C[110]]],["2.49. const_extern_fn","language-features/const-extern-fn",[C[110]]],["2.50. const_fn_floating_point_arithmetic","language-features/const-fn-floating-point-arithmetic",[C[110]]],["2.51. const_for","language-features/const-for",[C[110]]],["2.52. const_mut_refs","language-features/const-mut-refs",[C[110]]],["2.53. const_precise_live_drops","language-features/const-precise-live-drops",[C[110]]],["2.54. const_refs_to_cell","language-features/const-refs-to-cell",[C[110]]],["2.55. const_trait_impl","language-features/const-trait-impl",[C[110]]],["2.56. const_try","language-features/const-try",[C[110]]],["2.57. custom_inner_attributes","language-features/custom-inner-attributes",[C[110]]],["2.58. custom_test_frameworks","language-features/custom-test-frameworks",[C[110]]],["2.59. debugger_visualizer","language-features/debugger-visualizer",[C[110]]],["2.60. decl_macro","language-features/decl-macro",[C[110]]],["2.61. default_alloc_error_handler","language-features/default-alloc-error-handler",[C[110]]],["2.62. default_type_parameter_fallback","language-features/default-type-parameter-fallback",[C[110]]],["2.63. deprecated_safe","language-features/deprecated-safe",[C[110]]],["2.64. deprecated_suggestion","language-features/deprecated-suggestion",[C[110]]],["2.65. doc_auto_cfg","language-features/doc-auto-cfg",[C[110]]],["2.66. doc_cfg","language-features/doc-cfg",[C[110]]],["2.67. doc_cfg_hide","language-features/doc-cfg-hide",[C[110]]],["2.68. doc_masked","language-features/doc-masked",[C[110]]],["2.69. doc_notable_trait","language-features/doc-notable-trait",[C[110]]],["2.70. dropck_eyepatch","language-features/dropck-eyepatch",[C[110]]],["2.71. ermsb_target_feature","language-features/ermsb-target-feature",[C[110]]],["2.72. exclusive_range_pattern","language-features/exclusive-range-pattern",[C[110]]],["2.73. exhaustive_patterns","language-features/exhaustive-patterns",[C[110]]],["2.74. extern_types","language-features/extern-types",[C[110]]],["2.75. f16c_target_feature","language-features/f16c-target-feature",[C[110]]],["2.76. ffi_const","language-features/ffi-const",[C[110]]],["2.77. ffi_pure","language-features/ffi-pure",[C[110]]],["2.78. ffi_returns_twice","language-features/ffi-returns-twice",[C[110]]],["2.79. fn_align","language-features/fn-align",[C[110]]],["2.80. fundamental","language-features/fundamental",[C[110]]],["2.81. generators","language-features/generators",[C[110]]],["2.82. generic_arg_infer","language-features/generic-arg-infer",[C[110]]],["2.83. generic_assert","language-features/generic-assert",[C[110]]],["2.84. generic_associated_types","language-features/generic-associated-types",[C[110]]],["2.85. generic_associated_types_extended","language-features/generic-associated-types-extended",[C[110]]],["2.86. generic_const_exprs","language-features/generic-const-exprs",[C[110]]],["2.87. half_open_range_patterns","language-features/half-open-range-patterns",[C[110]]],["2.88. hexagon_target_feature","language-features/hexagon-target-feature",[C[110]]],["2.89. if_let_guard","language-features/if-let-guard",[C[110]]],["2.90. imported_main","language-features/imported-main",[C[110]]],["2.91. inherent_associated_types","language-features/inherent-associated-types",[C[110]]],["2.92. inline_const","language-features/inline-const",[C[110]]],["2.93. inline_const_pat","language-features/inline-const-pat",[C[110]]],["2.94. intra_doc_pointers","language-features/intra-doc-pointers",[C[110]]],["2.95. intrinsics","language-features/intrinsics",[C[110]]],["2.96. isa_attribute","language-features/isa-attribute",[C[110]]],["2.97. label_break_value","language-features/label-break-value",[C[110]]],["2.98. lang_items","language-features/lang-items",[C[110]]],["2.99. large_assignments","language-features/large-assignments",[C[110]]],["2.100. let_chains","language-features/let-chains",[C[110]]],["2.101. let_else","language-features/let-else",[C[110]]],["2.102. link_cfg","language-features/link-cfg",[C[110]]],["2.103. link_llvm_intrinsics","language-features/link-llvm-intrinsics",[C[110]]],["2.104. linkage","language-features/linkage",[C[110]]],["2.105. lint_reasons","language-features/lint-reasons",[C[110]]],["2.106. macro_metavar_expr","language-features/macro-metavar-expr",[C[110]]],["2.107. marker_trait_attr","language-features/marker-trait-attr",[C[110]]],["2.108. min_specialization","language-features/min-specialization",[C[110]]],["2.109. mips_target_feature","language-features/mips-target-feature",[C[110]]],["2.110. more_qualified_paths","language-features/more-qualified-paths",[C[110]]],["2.111. movbe_target_feature","language-features/movbe-target-feature",[C[110]]],["2.112. must_not_suspend","language-features/must-not-suspend",[C[110]]],["2.113. naked_functions","language-features/naked-functions",[C[110]]],["2.114. native_link_modifiers_as_needed","language-features/native-link-modifiers-as-needed",[C[110]]],["2.115. native_link_modifiers_verbatim","language-features/native-link-modifiers-verbatim",[C[110]]],["2.116. needs_panic_runtime","language-features/needs-panic-runtime",[C[110]]],["2.117. negative_impls","language-features/negative-impls",[C[110]]],["2.118. never_type","language-features/never-type",[C[110]]],["2.119. never_type_fallback","language-features/never-type-fallback",[C[110]]],["2.120. no_core","language-features/no-core",[C[110]]],["2.121. no_coverage","language-features/no-coverage",[C[110]]],["2.122. no_niche","language-features/no-niche",[C[110]]],["2.123. no_sanitize","language-features/no-sanitize",[C[110]]],["2.124. non_exhaustive_omitted_patterns_lint","language-features/non-exhaustive-omitted-patterns-lint",[C[110]]],["2.125. object_safe_for_dispatch","language-features/object-safe-for-dispatch",[C[110]]],["2.126. omit_gdb_pretty_printer_section","language-features/omit-gdb-pretty-printer-section",[C[110]]],["2.127. optimize_attribute","language-features/optimize-attribute",[C[110]]],["2.128. panic_runtime","language-features/panic-runtime",[C[110]]],["2.129. platform_intrinsics","language-features/platform-intrinsics",[C[110]]],["2.130. plugin","language-features/plugin",[C[110]]],["2.131. powerpc_target_feature","language-features/powerpc-target-feature",[C[110]]],["2.132. precise_pointer_size_matching","language-features/precise-pointer-size-matching",[C[110]]],["2.133. prelude_import","language-features/prelude-import",[C[110]]],["2.134. proc_macro_hygiene","language-features/proc-macro-hygiene",[C[110]]],["2.135. profiler_runtime","language-features/profiler-runtime",[C[110]]],["2.136. raw_dylib","language-features/raw-dylib",[C[110]]],["2.137. raw_ref_op","language-features/raw-ref-op",[C[110]]],["2.138. register_attr","language-features/register-attr",[C[110]]],["2.139. register_tool","language-features/register-tool",[C[110]]],["2.140. repr_simd","language-features/repr-simd",[C[110]]],["2.141. repr128","language-features/repr128",[C[110]]],["2.142. riscv_target_feature","language-features/riscv-target-feature",[C[110]]],["2.143. rtm_target_feature","language-features/rtm-target-feature",[C[110]]],["2.144. rust_cold_cc","language-features/rust-cold-cc",[C[110]]],["2.145. rustc_allow_const_fn_unstable","language-features/rustc-allow-const-fn-unstable",[C[110]]],["2.146. rustc_attrs","language-features/rustc-attrs",[C[110]]],["2.147. rustc_private","language-features/rustc-private",[C[110]]],["2.148. rustdoc_internals","language-features/rustdoc-internals",[C[110]]],["2.149. simd_ffi","language-features/simd-ffi",[C[110]]],["2.150. specialization","language-features/specialization",[C[110]]],["2.151. sse4a_target_feature","language-features/sse4a-target-feature",[C[110]]],["2.152. staged_api","language-features/staged-api",[C[110]]],["2.153. start","language-features/start",[C[110]]],["2.154. stmt_expr_attributes","language-features/stmt-expr-attributes",[C[110]]],["2.155. strict_provenance","language-features/strict-provenance",[C[110]]],["2.156. structural_match","language-features/structural-match",[C[110]]],["2.157. target_feature_11","language-features/target-feature-11",[C[110]]],["2.158. tbm_target_feature","language-features/tbm-target-feature",[C[110]]],["2.159. test_2018_feature","language-features/test-2018-feature",[C[110]]],["2.160. test_unstable_lint","language-features/test-unstable-lint",[C[110]]],["2.161. thread_local","language-features/thread-local",[C[110]]],["2.162. trait_alias","language-features/trait-alias",[C[110]]],["2.163. trait_upcasting","language-features/trait-upcasting",[C[110]]],["2.164. transparent_unions","language-features/transparent-unions",[C[110]]],["2.165. trivial_bounds","language-features/trivial-bounds",[C[110]]],["2.166. try_blocks","language-features/try-blocks",[C[110]]],["2.167. type_alias_impl_trait","language-features/type-alias-impl-trait",[C[110]]],["2.168. type_ascription","language-features/type-ascription",[C[110]]],["2.169. type_changing_struct_update","language-features/type-changing-struct-update",[C[110]]],["2.170. unboxed_closures","language-features/unboxed-closures",[C[110]]],["2.171. unsafe_pin_internals","language-features/unsafe-pin-internals",[C[110]]],["2.172. unsized_fn_params","language-features/unsized-fn-params",[C[110]]],["2.173. unsized_locals","language-features/unsized-locals",[C[110]]],["2.174. unsized_tuple_coercion","language-features/unsized-tuple-coercion",[C[110]]],["2.175. untagged_unions","language-features/untagged-unions",[C[110]]],["2.176. used_with_arg","language-features/used-with-arg",[C[110]]],["2.177. wasm_abi","language-features/wasm-abi",[C[110]]],["2.178. wasm_target_feature","language-features/wasm-target-feature",[C[110]]],["2.179. with_negative_coherence","language-features/with-negative-coherence",[C[110]]],["2.180. yeet_expr","language-features/yeet-expr",[C[110]]],[C[111],"library-features",N],["3.1. absolute_path","library-features/absolute-path",[C[111]]],["3.2. alloc_c_string","library-features/alloc-c-string",[C[111]]],["3.3. alloc_error_hook","library-features/alloc-error-hook",[C[111]]],["3.4. alloc_ffi","library-features/alloc-ffi",[C[111]]],["3.5. alloc_internals","library-features/alloc-internals",[C[111]]],["3.6. alloc_layout_extra","library-features/alloc-layout-extra",[C[111]]],["3.7. allocator_api","library-features/allocator-api",[C[111]]],["3.8. arc_unwrap_or_clone","library-features/arc-unwrap-or-clone",[C[111]]],["3.9. array_chunks","library-features/array-chunks",[C[111]]],["3.10. array_error_internals","library-features/array-error-internals",[C[111]]],["3.11. array_into_iter_constructors","library-features/array-into-iter-constructors",[C[111]]],["3.12. array_methods","library-features/array-methods",[C[111]]],["3.13. array_try_from_fn","library-features/array-try-from-fn",[C[111]]],["3.14. array_try_map","library-features/array-try-map",[C[111]]],["3.15. array_windows","library-features/array-windows",[C[111]]],["3.16. array_zip","library-features/array-zip",[C[111]]],["3.17. as_array_of_cells","library-features/as-array-of-cells",[C[111]]],["3.18. assert_matches","library-features/assert-matches",[C[111]]],["3.19. async_iter_from_iter","library-features/async-iter-from-iter",[C[111]]],["3.20. async_iterator","library-features/async-iterator",[C[111]]],["3.21. atomic_from_mut","library-features/atomic-from-mut",[C[111]]],["3.22. atomic_mut_ptr","library-features/atomic-mut-ptr",[C[111]]],["3.23. backtrace","library-features/backtrace",[C[111]]],["3.24. backtrace_frames","library-features/backtrace-frames",[C[111]]],["3.25. bench_black_box","library-features/bench-black-box",[C[111]]],["3.26. bigint_helper_methods","library-features/bigint-helper-methods",[C[111]]],["3.27. binary_heap_as_slice","library-features/binary-heap-as-slice",[C[111]]],["3.28. binary_heap_drain_sorted","library-features/binary-heap-drain-sorted",[C[111]]],["3.29. binary_heap_into_iter_sorted","library-features/binary-heap-into-iter-sorted",[C[111]]],["3.30. binary_heap_retain","library-features/binary-heap-retain",[C[111]]],["3.31. bound_as_ref","library-features/bound-as-ref",[C[111]]],["3.32. bound_map","library-features/bound-map",[C[111]]],["3.33. box_into_boxed_slice","library-features/box-into-boxed-slice",[C[111]]],["3.34. box_into_inner","library-features/box-into-inner",[C[111]]],["3.35. btree_drain_filter","library-features/btree-drain-filter",[C[111]]],["3.36. btreemap_alloc","library-features/btreemap-alloc",[C[111]]],["3.37. buf_read_has_data_left","library-features/buf-read-has-data-left",[C[111]]],["3.38. build_hasher_simple_hash_one","library-features/build-hasher-simple-hash-one",[C[111]]],["3.39. byte_slice_trim_ascii","library-features/byte-slice-trim-ascii",[C[111]]],["3.40. c_size_t","library-features/c-size-t",[C[111]]],["3.41. c_void_variant","library-features/c-void-variant",[C[111]]],["3.42. can_vector","library-features/can-vector",[C[111]]],["3.43. cell_leak","library-features/cell-leak",[C[111]]],["3.44. cell_update","library-features/cell-update",[C[111]]],["3.45. cfg_accessible","library-features/cfg-accessible",[C[111]]],["3.46. cfg_eval","library-features/cfg-eval",[C[111]]],["3.47. char_error_internals","library-features/char-error-internals",[C[111]]],["3.48. char_indices_offset","library-features/char-indices-offset",[C[111]]],["3.49. char_internals","library-features/char-internals",[C[111]]],["3.50. coerce_unsized","library-features/coerce-unsized",[C[111]]],["3.51. concat_bytes","library-features/concat-bytes",[C[111]]],["3.52. concat_idents","library-features/concat-idents",[C[111]]],["3.53. const_align_of_val","library-features/const-align-of-val",[C[111]]],["3.54. const_align_of_val_raw","library-features/const-align-of-val-raw",[C[111]]],["3.55. const_align_offset","library-features/const-align-offset",[C[111]]],["3.56. const_alloc_error","library-features/const-alloc-error",[C[111]]],["3.57. const_alloc_layout","library-features/const-alloc-layout",[C[111]]],["3.58. const_arguments_as_str","library-features/const-arguments-as-str",[C[111]]],["3.59. const_array_from_ref","library-features/const-array-from-ref",[C[111]]],["3.60. const_array_into_iter_constructors","library-features/const-array-into-iter-constructors",[C[111]]],["3.61. const_assert_type2","library-features/const-assert-type2",[C[111]]],["3.62. const_assume","library-features/const-assume",[C[111]]],["3.63. const_bigint_helper_methods","library-features/const-bigint-helper-methods",[C[111]]],["3.64. const_black_box","library-features/const-black-box",[C[111]]],["3.65. const_bool_to_option","library-features/const-bool-to-option",[C[111]]],["3.66. const_borrow","library-features/const-borrow",[C[111]]],["3.67. const_box","library-features/const-box",[C[111]]],["3.68. const_btree_new","library-features/const-btree-new",[C[111]]],["3.69. const_caller_location","library-features/const-caller-location",[C[111]]],["3.70. const_cell_into_inner","library-features/const-cell-into-inner",[C[111]]],["3.71. const_char_convert","library-features/const-char-convert",[C[111]]],["3.72. const_clone","library-features/const-clone",[C[111]]],["3.73. const_convert","library-features/const-convert",[C[111]]],["3.74. const_cow_is_borrowed","library-features/const-cow-is-borrowed",[C[111]]],["3.75. const_default_impls","library-features/const-default-impls",[C[111]]],["3.76. const_deref","library-features/const-deref",[C[111]]],["3.77. const_discriminant","library-features/const-discriminant",[C[111]]],["3.78. const_eval_select","library-features/const-eval-select",[C[111]]],["3.79. const_float_bits_conv","library-features/const-float-bits-conv",[C[111]]],["3.80. const_float_classify","library-features/const-float-classify",[C[111]]],["3.81. const_fmt_arguments_new","library-features/const-fmt-arguments-new",[C[111]]],["3.82. const_format_args","library-features/const-format-args",[C[111]]],["3.83. const_heap","library-features/const-heap",[C[111]]],["3.84. const_inherent_unchecked_arith","library-features/const-inherent-unchecked-arith",[C[111]]],["3.85. const_int_unchecked_arith","library-features/const-int-unchecked-arith",[C[111]]],["3.86. const_intoiterator_identity","library-features/const-intoiterator-identity",[C[111]]],["3.87. const_intrinsic_forget","library-features/const-intrinsic-forget",[C[111]]],["3.88. const_intrinsic_raw_eq","library-features/const-intrinsic-raw-eq",[C[111]]],["3.89. const_io_structs","library-features/const-io-structs",[C[111]]],["3.90. const_ip","library-features/const-ip",[C[111]]],["3.91. const_ipv4","library-features/const-ipv4",[C[111]]],["3.92. const_ipv6","library-features/const-ipv6",[C[111]]],["3.93. const_is_char_boundary","library-features/const-is-char-boundary",[C[111]]],["3.94. const_likely","library-features/const-likely",[C[111]]],["3.95. const_maybe_uninit_array_assume_init","library-features/const-maybe-uninit-array-assume-init",[C[111]]],["3.96. const_maybe_uninit_as_mut_ptr","library-features/const-maybe-uninit-as-mut-ptr",[C[111]]],["3.97. const_maybe_uninit_assume_init","library-features/const-maybe-uninit-assume-init",[C[111]]],["3.98. const_maybe_uninit_assume_init_read","library-features/const-maybe-uninit-assume-init-read",[C[111]]],["3.99. const_maybe_uninit_uninit_array","library-features/const-maybe-uninit-uninit-array",[C[111]]],["3.100. const_maybe_uninit_write","library-features/const-maybe-uninit-write",[C[111]]],["3.101. const_maybe_uninit_zeroed","library-features/const-maybe-uninit-zeroed",[C[111]]],["3.102. const_nonnull_new","library-features/const-nonnull-new",[C[111]]],["3.103. const_nonnull_slice_from_raw_parts","library-features/const-nonnull-slice-from-raw-parts",[C[111]]],["3.104. const_num_from_num","library-features/const-num-from-num",[C[111]]],["3.105. const_ops","library-features/const-ops",[C[111]]],["3.106. const_option","library-features/const-option",[C[111]]],["3.107. const_option_cloned","library-features/const-option-cloned",[C[111]]],["3.108. const_option_ext","library-features/const-option-ext",[C[111]]],["3.109. const_pin","library-features/const-pin",[C[111]]],["3.110. const_pointer_byte_offsets","library-features/const-pointer-byte-offsets",[C[111]]],["3.111. const_pref_align_of","library-features/const-pref-align-of",[C[111]]],["3.112. const_ptr_as_ref","library-features/const-ptr-as-ref",[C[111]]],["3.113. const_ptr_is_null","library-features/const-ptr-is-null",[C[111]]],["3.114. const_ptr_offset_from","library-features/const-ptr-offset-from",[C[111]]],["3.115. const_ptr_read","library-features/const-ptr-read",[C[111]]],["3.116. const_ptr_sub_ptr","library-features/const-ptr-sub-ptr",[C[111]]],["3.117. const_ptr_write","library-features/const-ptr-write",[C[111]]],["3.118. const_raw_ptr_comparison","library-features/const-raw-ptr-comparison",[C[111]]],["3.119. const_replace","library-features/const-replace",[C[111]]],["3.120. const_result","library-features/const-result",[C[111]]],["3.121. const_result_drop","library-features/const-result-drop",[C[111]]],["3.122. const_size_of_val","library-features/const-size-of-val",[C[111]]],["3.123. const_size_of_val_raw","library-features/const-size-of-val-raw",[C[111]]],["3.124. const_slice_first_last","library-features/const-slice-first-last",[C[111]]],["3.125. const_slice_from_mut_ptr_range","library-features/const-slice-from-mut-ptr-range",[C[111]]],["3.126. const_slice_from_ptr_range","library-features/const-slice-from-ptr-range",[C[111]]],["3.127. const_slice_from_raw_parts","library-features/const-slice-from-raw-parts",[C[111]]],["3.128. const_slice_from_ref","library-features/const-slice-from-ref",[C[111]]],["3.129. const_slice_index","library-features/const-slice-index",[C[111]]],["3.130. const_slice_ptr_len","library-features/const-slice-ptr-len",[C[111]]],["3.131. const_socketaddr","library-features/const-socketaddr",[C[111]]],["3.132. const_str_from_utf8","library-features/const-str-from-utf8",[C[111]]],["3.133. const_str_from_utf8_unchecked_mut","library-features/const-str-from-utf8-unchecked-mut",[C[111]]],["3.134. const_swap","library-features/const-swap",[C[111]]],["3.135. const_transmute_copy","library-features/const-transmute-copy",[C[111]]],["3.136. const_type_id","library-features/const-type-id",[C[111]]],["3.137. const_type_name","library-features/const-type-name",[C[111]]],["3.138. const_unsafecell_get_mut","library-features/const-unsafecell-get-mut",[C[111]]],["3.139. const_weak_new","library-features/const-weak-new",[C[111]]],["3.140. container_error_extra","library-features/container-error-extra",[C[111]]],["3.141. control_flow_enum","library-features/control-flow-enum",[C[111]]],["3.142. convert_float_to_int","library-features/convert-float-to-int",[C[111]]],["3.143. core_c_str","library-features/core-c-str",[C[111]]],["3.144. core_ffi_c","library-features/core-ffi-c",[C[111]]],["3.145. core_intrinsics","library-features/core-intrinsics",[C[111]]],["3.146. core_panic","library-features/core-panic",[C[111]]],["3.147. core_private_bignum","library-features/core-private-bignum",[C[111]]],["3.148. core_private_diy_float","library-features/core-private-diy-float",[C[111]]],["3.149. cow_is_borrowed","library-features/cow-is-borrowed",[C[111]]],["3.150. cstr_from_bytes_until_nul","library-features/cstr-from-bytes-until-nul",[C[111]]],["3.151. cstr_internals","library-features/cstr-internals",[C[111]]],["3.152. cursor_remaining","library-features/cursor-remaining",[C[111]]],["3.153. deadline_api","library-features/deadline-api",[C[111]]],["3.154. dec2flt","library-features/dec2flt",[C[111]]],["3.155. default_free_fn","library-features/default-free-fn",[C[111]]],["3.156. derive_clone_copy","library-features/derive-clone-copy",[C[111]]],["3.157. derive_eq","library-features/derive-eq",[C[111]]],["3.158. dir_entry_ext2","library-features/dir-entry-ext2",[C[111]]],["3.159. discriminant_kind","library-features/discriminant-kind",[C[111]]],["3.160. dispatch_from_dyn","library-features/dispatch-from-dyn",[C[111]]],["3.161. div_duration","library-features/div-duration",[C[111]]],["3.162. downcast_unchecked","library-features/downcast-unchecked",[C[111]]],["3.163. drain_filter","library-features/drain-filter",[C[111]]],["3.164. duration_checked_float","library-features/duration-checked-float",[C[111]]],["3.165. duration_constants","library-features/duration-constants",[C[111]]],["3.166. duration_consts_float","library-features/duration-consts-float",[C[111]]],["3.167. edition_panic","library-features/edition-panic",[C[111]]],["3.168. entry_insert","library-features/entry-insert",[C[111]]],["3.169. error_iter","library-features/error-iter",[C[111]]],["3.170. error_reporter","library-features/error-reporter",[C[111]]],["3.171. error_type_id","library-features/error-type-id",[C[111]]],["3.172. exact_size_is_empty","library-features/exact-size-is-empty",[C[111]]],["3.173. exit_status_error","library-features/exit-status-error",[C[111]]],["3.174. exitcode_exit_method","library-features/exitcode-exit-method",[C[111]]],["3.175. extend_one","library-features/extend-one",[C[111]]],["3.176. fd","library-features/fd",[C[111]]],["3.177. fd_read","library-features/fd-read",[C[111]]],["3.178. float_minimum_maximum","library-features/float-minimum-maximum",[C[111]]],["3.179. flt2dec","library-features/flt2dec",[C[111]]],["3.180. fmt_internals","library-features/fmt-internals",[C[111]]],["3.181. fn_traits","library-features/fn-traits",[C[111]]],["3.182. forget_unsized","library-features/forget-unsized",[C[111]]],["3.183. format_args_nl","library-features/format-args-nl",[C[111]]],["3.184. fs_try_exists","library-features/fs-try-exists",[C[111]]],["3.185. future_join","library-features/future-join",[C[111]]],["3.186. future_poll_fn","library-features/future-poll-fn",[C[111]]],["3.187. gen_future","library-features/gen-future",[C[111]]],["3.188. generator_trait","library-features/generator-trait",[C[111]]],["3.189. generic_assert_internals","library-features/generic-assert-internals",[C[111]]],["3.190. get_mut_unchecked","library-features/get-mut-unchecked",[C[111]]],["3.191. hash_drain_filter","library-features/hash-drain-filter",[C[111]]],["3.192. hash_raw_entry","library-features/hash-raw-entry",[C[111]]],["3.193. hash_set_entry","library-features/hash-set-entry",[C[111]]],["3.194. hasher_prefixfree_extras","library-features/hasher-prefixfree-extras",[C[111]]],["3.195. hashmap_internals","library-features/hashmap-internals",[C[111]]],["3.196. hint_must_use","library-features/hint-must-use",[C[111]]],["3.197. inplace_iteration","library-features/inplace-iteration",[C[111]]],["3.198. int_error_internals","library-features/int-error-internals",[C[111]]],["3.199. int_log","library-features/int-log",[C[111]]],["3.200. int_roundings","library-features/int-roundings",[C[111]]],["3.201. integer_atomics","library-features/integer-atomics",[C[111]]],["3.202. internal_output_capture","library-features/internal-output-capture",[C[111]]],["3.203. into_future","library-features/into-future",[C[111]]],["3.204. io_error_more","library-features/io-error-more",[C[111]]],["3.205. io_error_other","library-features/io-error-other",[C[111]]],["3.206. io_error_uncategorized","library-features/io-error-uncategorized",[C[111]]],["3.207. io_read_to_string","library-features/io-read-to-string",[C[111]]],["3.208. io_slice_advance","library-features/io-slice-advance",[C[111]]],["3.209. ip","library-features/ip",[C[111]]],["3.210. is_some_with","library-features/is-some-with",[C[111]]],["3.211. is_sorted","library-features/is-sorted",[C[111]]],["3.212. iter_advance_by","library-features/iter-advance-by",[C[111]]],["3.213. iter_collect_into","library-features/iter-collect-into",[C[111]]],["3.214. iter_from_generator","library-features/iter-from-generator",[C[111]]],["3.215. iter_intersperse","library-features/iter-intersperse",[C[111]]],["3.216. iter_is_partitioned","library-features/iter-is-partitioned",[C[111]]],["3.217. iter_order_by","library-features/iter-order-by",[C[111]]],["3.218. iter_partition_in_place","library-features/iter-partition-in-place",[C[111]]],["3.219. iterator_try_collect","library-features/iterator-try-collect",[C[111]]],["3.220. iterator_try_reduce","library-features/iterator-try-reduce",[C[111]]],["3.221. layout_for_ptr","library-features/layout-for-ptr",[C[111]]],["3.222. liballoc_internals","library-features/liballoc-internals",[C[111]]],["3.223. libstd_sys_internals","library-features/libstd-sys-internals",[C[111]]],["3.224. libstd_thread_internals","library-features/libstd-thread-internals",[C[111]]],["3.225. linked_list_cursors","library-features/linked-list-cursors",[C[111]]],["3.226. linked_list_remove","library-features/linked-list-remove",[C[111]]],["3.227. linux_pidfd","library-features/linux-pidfd",[C[111]]],["3.228. local_key_cell_methods","library-features/local-key-cell-methods",[C[111]]],["3.229. log_syntax","library-features/log-syntax",[C[111]]],["3.230. main_separator_str","library-features/main-separator-str",[C[111]]],["3.231. map_entry_replace","library-features/map-entry-replace",[C[111]]],["3.232. map_first_last","library-features/map-first-last",[C[111]]],["3.233. map_many_mut","library-features/map-many-mut",[C[111]]],["3.234. map_try_insert","library-features/map-try-insert",[C[111]]],["3.235. maybe_uninit_array_assume_init","library-features/maybe-uninit-array-assume-init",[C[111]]],["3.236. maybe_uninit_as_bytes","library-features/maybe-uninit-as-bytes",[C[111]]],["3.237. maybe_uninit_slice","library-features/maybe-uninit-slice",[C[111]]],["3.238. maybe_uninit_uninit_array","library-features/maybe-uninit-uninit-array",[C[111]]],["3.239. maybe_uninit_write_slice","library-features/maybe-uninit-write-slice",[C[111]]],["3.240. mem_copy_fn","library-features/mem-copy-fn",[C[111]]],["3.241. mixed_integer_ops","library-features/mixed-integer-ops",[C[111]]],["3.242. mutex_unlock","library-features/mutex-unlock",[C[111]]],["3.243. mutex_unpoison","library-features/mutex-unpoison",[C[111]]],["3.244. new_uninit","library-features/new-uninit",[C[111]]],["3.245. nonnull_slice_from_raw_parts","library-features/nonnull-slice-from-raw-parts",[C[111]]],["3.246. nonzero_bits","library-features/nonzero-bits",[C[111]]],["3.247. nonzero_min_max","library-features/nonzero-min-max",[C[111]]],["3.248. nonzero_ops","library-features/nonzero-ops",[C[111]]],["3.249. numfmt","library-features/numfmt",[C[111]]],["3.250. once_cell","library-features/once-cell",[C[111]]],["3.251. one_sided_range","library-features/one-sided-range",[C[111]]],["3.252. option_get_or_insert_default","library-features/option-get-or-insert-default",[C[111]]],["3.253. option_result_contains","library-features/option-result-contains",[C[111]]],["3.254. option_zip","library-features/option-zip",[C[111]]],["3.255. panic_abort","library-features/panic-abort",[C[111]]],["3.256. panic_always_abort","library-features/panic-always-abort",[C[111]]],["3.257. panic_backtrace_config","library-features/panic-backtrace-config",[C[111]]],["3.258. panic_can_unwind","library-features/panic-can-unwind",[C[111]]],["3.259. panic_info_message","library-features/panic-info-message",[C[111]]],["3.260. panic_internals","library-features/panic-internals",[C[111]]],["3.261. panic_unwind","library-features/panic-unwind",[C[111]]],["3.262. panic_update_hook","library-features/panic-update-hook",[C[111]]],["3.263. path_file_prefix","library-features/path-file-prefix",[C[111]]],["3.264. pattern","library-features/pattern",[C[111]]],["3.265. peer_credentials_unix_socket","library-features/peer-credentials-unix-socket",[C[111]]],["3.266. pin_deref_mut","library-features/pin-deref-mut",[C[111]]],["3.267. pin_macro","library-features/pin-macro",[C[111]]],["3.268. pointer_byte_offsets","library-features/pointer-byte-offsets",[C[111]]],["3.269. pointer_is_aligned","library-features/pointer-is-aligned",[C[111]]],["3.270. poll_ready","library-features/poll-ready",[C[111]]],["3.271. portable_simd","library-features/portable-simd",[C[111]]],["3.272. prelude_2024","library-features/prelude-2024",[C[111]]],["3.273. print_internals","library-features/print-internals",[C[111]]],["3.274. proc_macro_def_site","library-features/proc-macro-def-site",[C[111]]],["3.275. proc_macro_diagnostic","library-features/proc-macro-diagnostic",[C[111]]],["3.276. proc_macro_expand","library-features/proc-macro-expand",[C[111]]],["3.277. proc_macro_internals","library-features/proc-macro-internals",[C[111]]],["3.278. proc_macro_quote","library-features/proc-macro-quote",[C[111]]],["3.279. proc_macro_span","library-features/proc-macro-span",[C[111]]],["3.280. proc_macro_span_shrink","library-features/proc-macro-span-shrink",[C[111]]],["3.281. proc_macro_tracked_env","library-features/proc-macro-tracked-env",[C[111]]],["3.282. process_exitcode_internals","library-features/process-exitcode-internals",[C[111]]],["3.283. process_internals","library-features/process-internals",[C[111]]],["3.284. process_set_process_group","library-features/process-set-process-group",[C[111]]],["3.285. profiler_runtime_lib","library-features/profiler-runtime-lib",[C[111]]],["3.286. provide_any","library-features/provide-any",[C[111]]],["3.287. ptr_as_uninit","library-features/ptr-as-uninit",[C[111]]],["3.288. ptr_const_cast","library-features/ptr-const-cast",[C[111]]],["3.289. ptr_internals","library-features/ptr-internals",[C[111]]],["3.290. ptr_metadata","library-features/ptr-metadata",[C[111]]],["3.291. ptr_sub_ptr","library-features/ptr-sub-ptr",[C[111]]],["3.292. ptr_to_from_bits","library-features/ptr-to-from-bits",[C[111]]],["3.293. pub_crate_should_not_need_unstable_attr","library-features/pub-crate-should-not-need-unstable-attr",[C[111]]],["3.294. raw_os_nonzero","library-features/raw-os-nonzero",[C[111]]],["3.295. raw_slice_split","library-features/raw-slice-split",[C[111]]],["3.296. raw_vec_internals","library-features/raw-vec-internals",[C[111]]],["3.297. read_buf","library-features/read-buf",[C[111]]],["3.298. ready_macro","library-features/ready-macro",[C[111]]],["3.299. receiver_trait","library-features/receiver-trait",[C[111]]],["3.300. restricted_std","library-features/restricted-std",[C[111]]],["3.301. result_contains_err","library-features/result-contains-err",[C[111]]],["3.302. result_flattening","library-features/result-flattening",[C[111]]],["3.303. result_into_ok_or_err","library-features/result-into-ok-or-err",[C[111]]],["3.304. result_option_inspect","library-features/result-option-inspect",[C[111]]],["3.305. round_char_boundary","library-features/round-char-boundary",[C[111]]],["3.306. rt","library-features/rt",[C[111]]],["3.307. saturating_int_assign_impl","library-features/saturating-int-assign-impl",[C[111]]],["3.308. saturating_int_impl","library-features/saturating-int-impl",[C[111]]],["3.309. sealed","library-features/sealed",[C[111]]],["3.310. seek_stream_len","library-features/seek-stream-len",[C[111]]],["3.311. set_ptr_value","library-features/set-ptr-value",[C[111]]],["3.312. setgroups","library-features/setgroups",[C[111]]],["3.313. sgx_platform","library-features/sgx-platform",[C[111]]],["3.314. slice_as_chunks","library-features/slice-as-chunks",[C[111]]],["3.315. slice_concat_ext","library-features/slice-concat-ext",[C[111]]],["3.316. slice_concat_trait","library-features/slice-concat-trait",[C[111]]],["3.317. slice_flatten","library-features/slice-flatten",[C[111]]],["3.318. slice_from_ptr_range","library-features/slice-from-ptr-range",[C[111]]],["3.319. slice_group_by","library-features/slice-group-by",[C[111]]],["3.320. slice_index_methods","library-features/slice-index-methods",[C[111]]],["3.321. slice_internals","library-features/slice-internals",[C[111]]],["3.322. slice_iter_mut_as_mut_slice","library-features/slice-iter-mut-as-mut-slice",[C[111]]],["3.323. slice_partition_dedup","library-features/slice-partition-dedup",[C[111]]],["3.324. slice_pattern","library-features/slice-pattern",[C[111]]],["3.325. slice_ptr_get","library-features/slice-ptr-get",[C[111]]],["3.326. slice_ptr_len","library-features/slice-ptr-len",[C[111]]],["3.327. slice_range","library-features/slice-range",[C[111]]],["3.328. slice_split_at_unchecked","library-features/slice-split-at-unchecked",[C[111]]],["3.329. slice_swap_unchecked","library-features/slice-swap-unchecked",[C[111]]],["3.330. slice_take","library-features/slice-take",[C[111]]],["3.331. solid_ext","library-features/solid-ext",[C[111]]],["3.332. sort_internals","library-features/sort-internals",[C[111]]],["3.333. split_array","library-features/split-array",[C[111]]],["3.334. split_as_slice","library-features/split-as-slice",[C[111]]],["3.335. std_internals","library-features/std-internals",[C[111]]],["3.336. stdio_makes_pipe","library-features/stdio-makes-pipe",[C[111]]],["3.337. stdsimd","library-features/stdsimd",[C[111]]],["3.338. step_trait","library-features/step-trait",[C[111]]],["3.339. str_internals","library-features/str-internals",[C[111]]],["3.340. str_split_as_str","library-features/str-split-as-str",[C[111]]],["3.341. str_split_inclusive_as_str","library-features/str-split-inclusive-as-str",[C[111]]],["3.342. str_split_whitespace_as_str","library-features/str-split-whitespace-as-str",[C[111]]],["3.343. string_extend_from_within","library-features/string-extend-from-within",[C[111]]],["3.344. string_remove_matches","library-features/string-remove-matches",[C[111]]],["3.345. sync_unsafe_cell","library-features/sync-unsafe-cell",[C[111]]],["3.346. tcp_linger","library-features/tcp-linger",[C[111]]],["3.347. tcplistener_into_incoming","library-features/tcplistener-into-incoming",[C[111]]],["3.348. test","library-features/test",[C[111]]],["3.349. thin_box","library-features/thin-box",[C[111]]],["3.350. thread_id_value","library-features/thread-id-value",[C[111]]],["3.351. thread_local_internals","library-features/thread-local-internals",[C[111]]],["3.352. thread_spawn_unchecked","library-features/thread-spawn-unchecked",[C[111]]],["3.353. trace_macros","library-features/trace-macros",[C[111]]],["3.354. track_path","library-features/track-path",[C[111]]],["3.355. trusted_len","library-features/trusted-len",[C[111]]],["3.356. trusted_random_access","library-features/trusted-random-access",[C[111]]],["3.357. trusted_step","library-features/trusted-step",[C[111]]],["3.358. try_find","library-features/try-find",[C[111]]],["3.359. try_reserve_kind","library-features/try-reserve-kind",[C[111]]],["3.360. try_trait_v2","library-features/try-trait-v2",[C[111]]],["3.361. try_trait_v2_residual","library-features/try-trait-v2-residual",[C[111]]],["3.362. try_trait_v2_yeet","library-features/try-trait-v2-yeet",[C[111]]],["3.363. type_name_of_val","library-features/type-name-of-val",[C[111]]],["3.364. unchecked_math","library-features/unchecked-math",[C[111]]],["3.365. unicode_internals","library-features/unicode-internals",[C[111]]],["3.366. unix_chown","library-features/unix-chown",[C[111]]],["3.367. unix_socket_abstract","library-features/unix-socket-abstract",[C[111]]],["3.368. unix_socket_ancillary_data","library-features/unix-socket-ancillary-data",[C[111]]],["3.369. unix_socket_peek","library-features/unix-socket-peek",[C[111]]],["3.370. unsize","library-features/unsize",[C[111]]],["3.371. unwrap_infallible","library-features/unwrap-infallible",[C[111]]],["3.372. unzip_option","library-features/unzip-option",[C[111]]],["3.373. update_panic_count","library-features/update-panic-count",[C[111]]],["3.374. utf16_extra","library-features/utf16-extra",[C[111]]],["3.375. utf16_extra_const","library-features/utf16-extra-const",[C[111]]],["3.376. variant_count","library-features/variant-count",[C[111]]],["3.377. vec_into_raw_parts","library-features/vec-into-raw-parts",[C[111]]],["3.378. vec_split_at_spare","library-features/vec-split-at-spare",[C[111]]],["3.379. waker_getters","library-features/waker-getters",[C[111]]],["3.380. wasi_ext","library-features/wasi-ext",[C[111]]],["3.381. windows_by_handle","library-features/windows-by-handle",[C[111]]],["3.382. windows_c","library-features/windows-c",[C[111]]],["3.383. windows_file_type_ext","library-features/windows-file-type-ext",[C[111]]],["3.384. windows_handle","library-features/windows-handle",[C[111]]],["3.385. windows_net","library-features/windows-net",[C[111]]],["3.386. windows_process_extensions_async_pipes","library-features/windows-process-extensions-async-pipes",[C[111]]],["3.387. windows_process_extensions_force_quotes","library-features/windows-process-extensions-force-quotes",[C[111]]],["3.388. windows_process_extensions_main_thread_handle","library-features/windows-process-extensions-main-thread-handle",[C[111]]],["3.389. windows_stdio","library-features/windows-stdio",[C[111]]],["3.390. wrapping_int_impl","library-features/wrapping-int-impl",[C[111]]],["3.391. wrapping_next_power_of_two","library-features/wrapping-next-power-of-two",[C[111]]],["3.392. write_all_vectored","library-features/write-all-vectored",[C[111]]],["3.393. yeet_desugar_details","library-features/yeet-desugar-details",[C[111]]]]},{"name":C[112],"url":"https://docs.rust-embedded.org/book/","pages":[[C[48],C[113],N],[C[114],C[115],[C[48]]],[C[116],C[117],[C[48]]],[C[118],C[119],[C[48]]],[C[49],C[120],[C[48]]],[C[121],C[122],[C[48],C[49]]],[C[123],C[124],[C[48],C[49]]],[C[125],C[126],[C[48],C[49]]],[C[127],C[128],[C[48],C[49]]],[C[50],C[129],N],[C[130],C[131],[C[50]]],[C[132],C[133],[C[50]]],[C[134],C[135],[C[50]]],[C[136],C[137],[C[50]]],[C[138],C[139],[C[50]]],[C[140],C[141],[C[50]]],[C[142],C[143],[C[50]]],["2.8. IO","start/io",[C[50]]],[C[51],C[144],N],[C[145],C[146],[C[51]]],[C[147],C[148],[C[51]]],[C[149],C[150],[C[51]]],[C[52],C[151],N],[C[152],C[153],[C[52]]],[C[154],C[155],[C[52]]],[C[156],C[157],[C[52]]],[C[158],C[159],[C[52]]],[C[160],C[161],N],[C[162],C[163],N],[C[164],C[165],N],[C[53],C[166],N],[C[54],C[167],[C[53]]],[C[168],C[169],[C[53],C[54]]],[C[170],C[171],[C[53],C[54]]],[C[172],C[173],[C[53],C[54]]],[C[174],C[175],[C[53],C[54]]],[C[176],C[177],[C[53],C[54]]],[C[178],C[179],N],[C[55],C[180],N],[C[181],C[182],[C[55]]],[C[183],C[184],[C[55]]],[C[56],C[185],N],[C[186],C[187],[C[56]]],[C[188],C[189],[C[56]]],[C[190],C[57],N]]},{"name":"Guide to Rustc Development","url":"https://rustc-dev-guide.rust-lang.org/","pages":[[C[215],C[216],N],["Getting Started",C[217],N],[C[191],"building/how-to-build-and-run",N],["1.1. Prerequisites","building/prerequisites",[C[191]]],["1.2. Suggested Workflows","building/suggested",[C[191]]],["1.3. Distribution artifacts","building/build-install-distribution-artifacts",[C[191]]],["1.4. Building Documentation","building/compiler-documenting",[C[191]]],["1.5. Rustdoc overview","rustdoc",[C[191]]],["1.6. Adding a new target","building/new-target",[C[191]]],[C[192],"tests/intro",N],[C[193],"tests/running",[C[192]]],["2.1.1. Testing with Docker","tests/docker",[C[192],C[193]]],["2.1.2. Testing with CI","tests/ci",[C[192],C[193]]],["2.2. Adding new tests","tests/adding",[C[192]]],[C[194],"tests/compiletest",[C[192]]],["2.3.1. UI tests","tests/ui",[C[192],C[194]]],["2.3.2. Test headers","tests/headers",[C[192],C[194]]],["2.4. Performance testing","tests/perf",[C[192]]],["2.5. Crater","tests/crater",[C[192]]],[C[195],"compiler-debugging",N],["3.1. Using the tracing/logging instrumentation","tracing",[C[195]]],[C[196],"profiling",N],["4.1. with the linux perf tool","profiling/with_perf",[C[196]]],["4.2. with Windows Performance Analyzer","profiling/wpa_profiling",[C[196]]],["5. crates.io Dependencies","crates-io",N],["6. Introduction","contributing",N],["7. About the compiler team","compiler-team",N],["8. Using Git","git",N],["9. Mastering @rustbot","rustbot",N],["10. Walkthrough: a typical contribution","walkthrough",N],["11. Bug Fix Procedure","bug-fix-procedure",N],["12. Implementing new features","implementing_new_features",N],["13. Stability attributes","stability",N],["14. Stabilizing Features","stabilization_guide",N],["15. Feature Gates","feature-gates",N],["16. Coding conventions","conventions",N],[C[197],"notification-groups/about",N],["17.1. ARM","notification-groups/arm",[C[197]]],["17.2. Cleanup Crew","notification-groups/cleanup-crew",[C[197]]],["17.3. LLVM","notification-groups/llvm",[C[197]]],["17.4. RISC-V","notification-groups/risc-v",[C[197]]],["17.5. Windows","notification-groups/windows",[C[197]]],["18. Licenses","licenses",N],["19. Prologue","part-2-intro",N],["20. Overview of the Compiler","overview",N],["21. The compiler source code","compiler-src",N],["22. Bootstrapping","building/bootstrapping",N],[C[198],"query",N],["23.1. The Query Evaluation Model in Detail","queries/query-evaluation-model-in-detail",[C[198]]],["23.2. Incremental compilation","queries/incremental-compilation",[C[198]]],["23.3. Incremental compilation In Detail","queries/incremental-compilation-in-detail",[C[198]]],["23.4. Debugging and Testing","incrcomp-debugging",[C[198]]],["23.5. Salsa","salsa",[C[198]]],["24. Memory Management in Rustc","memory",N],["25. Serialization in Rustc","serialization",N],["26. Parallel Compilation","parallel-rustc",N],["27. Rustdoc internals","rustdoc-internals",N],["28. Prologue","part-3-intro",N],["29. Command-line arguments","cli",N],[C[199],"rustc-driver",N],["30.1. Example: Type checking","rustc-driver-interacting-with-the-ast",[C[199]]],["30.2. Example: Getting diagnostics","rustc-driver-getting-diagnostics",[C[199]]],[C[200],"syntax-intro",N],["31.1. Lexing and Parsing","the-parser",[C[200]]],["31.2. Macro expansion","macro-expansion",[C[200]]],["31.3. Name resolution","name-resolution",[C[200]]],["31.4. #[test] Implementation","test-implementation",[C[200]]],["31.5. Panic Implementation","panic-implementation",[C[200]]],["31.6. AST Validation","ast-validation",[C[200]]],["31.7. Feature Gate Checking","feature-gate-ck",[C[200]]],["31.8. Lang Items","lang-items",[C[200]]],[C[201],"hir",N],["32.1. Lowering AST to HIR","lowering",[C[201]]],["32.2. Debugging","hir-debugging",[C[201]]],["33. The THIR (Typed High-level IR)","thir",N],[C[202],"mir/index",N],["34.1. MIR construction","mir/construction",[C[202]]],["34.2. MIR visitor and traversal","mir/visitor",[C[202]]],["34.3. MIR passes: getting the MIR for a function","mir/passes",[C[202]]],["35. Identifiers in the Compiler",C[203],N],["36. Closure expansion","closure",N],["37. Inline assembly","asm",N],["38. Prologue","part-4-intro",N],[C[204],"ty",N],["39.1. Generics and substitutions","generics",[C[204]]],["39.2. TypeFolder and TypeFoldable","ty-fold",[C[204]]],["39.3. Generic arguments","generic_arguments",[C[204]]],["39.4. Constants in the type system","constants",[C[204]]],["40. Type inference","type-inference",N],[C[205],"traits/resolution",N],["41.1. Early and Late Bound Parameters","early-late-bound",[C[205]]],["41.2. Higher-ranked trait bounds","traits/hrtb",[C[205]]],["41.3. Caching subtleties","traits/caching",[C[205]]],["41.4. Specialization","traits/specialization",[C[205]]],[C[206],"traits/chalk",[C[205]]],["41.5.1. Lowering to logic","traits/lowering-to-logic",[C[205],C[206]]],["41.5.2. Goals and clauses","traits/goals-and-clauses",[C[205],C[206]]],["41.5.3. Canonical queries","traits/canonical-queries",[C[205],C[206]]],[C[207],"type-checking",N],["42.1. Method Lookup","method-lookup",[C[207]]],["42.2. Variance","variance",[C[207]]],[C[208],"opaque-types-type-alias-impl-trait",[C[207]]],["42.3.1. Inference details","opaque-types-impl-trait-inference",[C[207],C[208]]],["43. Pattern and Exhaustiveness Checking","pat-exhaustive-checking",N],["44. MIR dataflow","mir/dataflow",N],["45. Drop elaboration","mir/drop-elaboration",N],[C[209],"borrow_check",N],[C[210],"borrow_check/moves_and_initialization",[C[209]]],["46.1.1. Move paths","borrow_check/moves_and_initialization/move_paths",[C[209],C[210]]],["46.2. MIR type checker","borrow_check/type_check",[C[209]]],[C[211],"borrow_check/region_inference",[C[209]]],["46.3.1. Constraint propagation","borrow_check/region_inference/constraint_propagation",[C[209],C[211]]],["46.3.2. Lifetime parameters","borrow_check/region_inference/lifetime_parameters",[C[209],C[211]]],["46.3.3. Member constraints","borrow_check/region_inference/member_constraints",[C[209],C[211]]],["46.3.4. Placeholders and universes","borrow_check/region_inference/placeholders_and_universes",[C[209],C[211]]],["46.3.5. Closure constraints","borrow_check/region_inference/closure_constraints",[C[209],C[211]]],["46.3.6. Error reporting","borrow_check/region_inference/error_reporting",[C[209],C[211]]],["46.4. Two-phase-borrows","borrow_check/two_phase_borrows",[C[209]]],["47. Parameter Environments","param_env",N],[C[212],"diagnostics",N],["48.1. Diagnostic and subdiagnostic structs","diagnostics/diagnostic-structs",[C[212]]],["48.2. Translation","diagnostics/translation",[C[212]]],["48.3. LintStore","diagnostics/lintstore",[C[212]]],["48.4. Diagnostic codes","diagnostics/diagnostic-codes",[C[212]]],["48.5. Diagnostic items","diagnostics/diagnostic-items",[C[212]]],["48.6. ErrorGuaranteed","diagnostics/error-guaranteed",[C[212]]],["49. Prologue","part-5-intro",N],["50. MIR optimizations","mir/optimizations",N],["51. Debugging","mir/debugging",N],[C[213],"const-eval",N],["52.1. miri const evaluator","miri",[C[213]]],["53. Monomorphization","backend/monomorph",N],["54. Lowering MIR","backend/lowering-mir",N],[C[214],"backend/codegen",N],["55.1. Updating LLVM","backend/updating-llvm",[C[214]]],["55.2. Debugging LLVM","backend/debugging",[C[214]]],["55.3. Backend Agnostic Codegen","backend/backend-agnostic",[C[214]]],["55.4. Implicit Caller Location","backend/implicit-caller-location",[C[214]]],["56. Libraries and Metadata","backend/libs-and-metadata",N],["57. Profile-guided Optimization","profile-guided-optimization",N],["58. LLVM Source-Based Code Coverage","llvm-coverage-instrumentation",N],["59. Sanitizers Support","sanitizers",N],["60. Debugging Support in the Rust Compiler","debugging-support-in-rustc",N],["Appendix A: Background topics","appendix/background",N],["Appendix B: Glossary",C[57],N],["Appendix C: Code Index","appendix/code-index",N],["Appendix D: Compiler Lecture Series","appendix/compiler-lecture",N],["Appendix E: Bibliography","appendix/bibliography",N],["Appendix Z: HumorRust","appendix/humorust",N]]},{"name":"Standard library developers Guide","url":"https://std-dev-guide.rust-lang.org/","pages":[[C[215],C[216],N],["Getting started",C[217],N],[C[218],"team",N],["1.1. Meetings","meetings",[C[218]]],["1.2. Membership","membership",[C[218]]],["1.3. Reviewing","reviewing",[C[218]]],["2. Building and debugging libraries","development/building-and-debugging",N],[C[219],"feature-lifecycle/summary",N],["3.1. API Change Proposals","feature-lifecycle/api-change-proposals",[C[219]]],["3.2. Using tracking issues","feature-lifecycle/tracking-issues",[C[219]]],["3.3. Stabilizing features","feature-lifecycle/stabilization",[C[219]]],["3.4. Deprecating features","feature-lifecycle/deprecation",[C[219]]],[C[220],"code-considerations/summary",N],[C[221],"code-considerations/design/summary",[C[220]]],["4.1.1. Public APIs","code-considerations/design/public-apis",[C[220],C[221]]],["4.1.2. When to add #[must_use]","code-considerations/design/must-use",[C[220],C[221]]],[C[222],"code-considerations/breaking-changes/summary",[C[220]]],["4.2.1. Breakage from changing behavior","code-considerations/breaking-changes/behavior",[C[220],C[222]]],["4.2.2. Breakage from new trait impls","code-considerations/breaking-changes/new-trait-impls",[C[220],C[222]]],["4.2.3. #[fundamental] types","code-considerations/breaking-changes/fundamental",[C[220],C[222]]],["4.2.4. Breakage from changing the prelude","code-considerations/breaking-changes/prelude",[C[220],C[222]]],[C[223],"code-considerations/safety-and-soundness/summary",[C[220]]],["4.3.1. Generics and unsafe","code-considerations/safety-and-soundness/generics-and-unsafe",[C[220],C[223]]],["4.3.2. Drop and #[may_dangle]","code-considerations/safety-and-soundness/may-dangle",[C[220],C[223]]],["4.3.3. std::mem and exclusive references","code-considerations/safety-and-soundness/mem-and-exclusive-refs",[C[220],C[223]]],[C[224],"code-considerations/using-unstable-lang/summary",[C[220]]],["4.4.1. Const generics","code-considerations/using-unstable-lang/const-generics",[C[220],C[224]]],["4.4.2. Specialization","code-considerations/using-unstable-lang/specialization",[C[220],C[224]]],[C[225],"code-considerations/performance/summary",[C[220]]],["4.5.1. When to #[inline]","code-considerations/performance/inline",[C[220],C[225]]],[C[226],"documentation/summary",N],["5.1. doc alias policy","documentation/doc-alias-policy",[C[226]]],["5.2. safety comments policy","documentation/safety-comments",[C[226]]],["5.3. how to write documentation","documentation/how-to-write-documentation",[C[226]]],["5.4. reviewing doc changes","documentation/reviewing-doc-changes",[C[226]]],[C[227],"tools-and-bots/summary",N],["6.1. @bors","tools-and-bots/bors",[C[227]]],["6.2. @rust-timer","tools-and-bots/timer",[C[227]]],["6.3. @craterbot","tools-and-bots/crater",[C[227]]]]}];